<?php
/*
 NWS-Classifieds Project
<http://www.neuber-web-solutions.de/nwsclassifieds/index.php />
 Copyright (C) 2007, Andy Neuber

 NWS-Classifieds is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 NWS-Classifieds is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with NWS-Classifieds Project; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  -----------------------------------------------------------------------------------------
  This file is based on: 
  (c) 2004-2008 Website Baker Project <http://www.websitebaker.org/>
  - Ryan Djurovich
  Released under the GNU General Public License 
  -----------------------------------------------------------------------------------------
  
  */
session_start();
include 'functions.php';

// CHECK DB-DATA + URL DATA
$DB_DATA 	= check_db_data();
$nwscl_url 	= empty_url();
$nwscl_url 	= adjust_nwscl_url($nwscl_url);


$table_prefix = 'nwscl_';

define('DB_TYPE', 'mysql');
define('DB_HOST', $DB_DATA[database_host]);
define('DB_USERNAME', $DB_DATA[database_username]);
define('DB_PASSWORD', $DB_DATA[database_password]);
define('DB_NAME', $DB_DATA[database_name]);
define('TABLE_PREFIX', $table_prefix);
define('NWSCL_PATH', str_replace(array('/install','\install'), '',dirname(__FILE__)));
define('NWSCL_URL', $nwscl_url);
$nwscl_path = NWSCL_PATH;





# 1. Database 
// Try connecting to database	
if(!@mysql_connect(DB_HOST, DB_USERNAME, DB_PASSWORD)) {
	show_error('Database host name, username and/or password incorrect. MySQL Error:<br />'.mysql_error());
}

// Create database if required
if($_POST[create_database] == '1'){
	create_DB($DB_DATA[database_name]);
}

// install tables
$TABLES 	= array();
$TABLES[0] 	= TABLE_PREFIX . 'admin';
$TABLES[1] 	= TABLE_PREFIX . 'ads';
$TABLES[2] 	= TABLE_PREFIX . 'automobiles';
$TABLES[3] 	= TABLE_PREFIX . 'cat_auto';
$TABLES[4] 	= TABLE_PREFIX . 'cat_real_estate';
$TABLES[5] 	= TABLE_PREFIX . 'cat_things';
$TABLES[6] 	= TABLE_PREFIX . 'design';
$TABLES[7] 	= TABLE_PREFIX . 'items';
$TABLES[8] 	= TABLE_PREFIX . 'language';
$TABLES[9] 	= TABLE_PREFIX . 'real_estate';
$TABLES[10] = TABLE_PREFIX . 'pages';
$TABLES[11] = TABLE_PREFIX . 'users';
$TABLES[12] = TABLE_PREFIX . 'ipn';
$TABLES[13] = TABLE_PREFIX . 'mcat';

create_tables(DB_HOST,DB_USERNAME,DB_PASSWORD,$DB_DATA[database_name],$TABLES);

// add some data to tables
fill_tables($TABLES);

// Close the mysql connection
mysql_close();



# 2. Directories + Images 


# 3. write config file 
$config_content = "" .
"<?php\n".
"\n".
"define('DB_TYPE', 'mysql');\n".
"define('DB_HOST', '$DB_DATA[database_host]');\n".
"define('DB_USERNAME', '$DB_DATA[database_username]');\n".
"define('DB_PASSWORD', '$DB_DATA[database_password]');\n".
"define('DB_NAME', '$DB_DATA[database_name]');\n".
"define('DB_PREFIX', '$table_prefix');\n".
"\n".
"define('NWSCL_PATH', '$nwscl_path');\n".
"define('NWSCL_URL', '$nwscl_url');\n".
"define('INSTALLED_STATUS', 1);\n".
"\n".
"?>";

$config_filename = '../config/YOUR_VALUES.php';
write_config_file($config_filename,$config_content);


# 4. all done - now go to admin area
header('Location: ../admin/admin_actions/config.php?install=SUCCESS');
exit(NULL);
?>