<?php
// adjust this data here /////////////////////////////////////////////////////////////////////
$form_path		= '';
$form_language	= 'en';                 // choose between de | en
$ip				= 0;   					// IP collecting: 1=yes | 0 = no
$refresh_time	= 20;					// form refresh after successf. sent in second.
// adjust this data here /////////////////////////////////////////////////////////////////////


include "{$form_path}config/CONFIG.php";
require_once "{$form_path}lib/class.security.php";
require_once "{$form_path}lib/class.email.php";

// Labels + Correction messages + Thank you message ////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////

switch ($form_language){

case 'de':
     $label 	= array();
     $cm       = array();

	$label[name]      = 'Ihr Name:';
	$label[email]     = 'Email-Adresse:';
	$label[tele]      = 'Telefon Nr.:';
	$label[message]   = 'Ihre Nachricht / Anfrage:';
	$label[s_code]    = 'Bitte Sicherheits-Mathefrage beantworten:';
	$label[why_math]  = 'Um Missbrauch durch Spambots zu verhindern, m&uuml;ssen wir sicherstellen, da&szlig; das Formular von einer wirklichen Person ausgef&uuml;llt wurde.';
	$label[submit]    = 'Senden Sie Ihre Nachricht';


	$cm[name]      = 'Name muss l&auml;nger als zwei Buchstaben sein. Bitte korrigieren.';
	$cm[email]     = 'Bitte korrigieren Sie Ihre Email Adresse!';
	$cm[message]   = 'Ihre Nachricht sollte l&auml;nger 5 Zeichen sein!';
	$cm[s_code]    = 'Die Sicherheitsfrage wurde nicht korrekt beantwortet!';

     $thanx_mess = "
          <table style='margin-left: 20px;'>
          <tr>
          <td valign='top'>
          <img src=''
          width='92' height='92' border='0' alt='Vielen Dank f&uuml;r Ihre Nachricht!'/>
          </td>
          <td valign='top'>
	     Vielen Dank f&uuml;r Ihre Nachricht!<br/>
	     Wir werden Sie so bald wie m&ouml;glich kontaktieren<br/>
		<!--<a href='$referer'>To return please click here</a> -->
		</td>
          </tr>
          </table>
	     ";
break;

case 'en':

     $label 	= array();
     $cm       = array();

	$label[name]      = 'Your name:';
	$label[email]     = 'Email-Address:';
	$label[tele]      = 'Telephone No.:';
	$label[message]   = 'Your message / request:';
	$label[s_code]    = 'Please answer the security math question:';
	$label[why_math]  = 'To avoid misuse of SpamBots we need to make sure that the form was filled in by a real person.';
	$label[submit]    = 'Send your message';

     $cm[name]      = 'Name needs to be longer than two signs. Please correct.';
	$cm[email]     = 'Please correct your email address!';
	$cm[message]   = 'Your message should be longer than 5 signs!';
	$cm[s_code]    = 'The security question was not answered correctly!';

     $thanx_mess = "
          <table style='margin-left: 20px;'>
          <tr>
          <td valign='top'>
          <img src=''
          width='92' height='92' border='0' alt='Thank you very much for your message!'/>
          </td>
          <td valign='top'>
	     Thank you very much for your message!<br/>
	     We will contact you as soon as possible.<br/>
   <!--       <a href='$referer'>To return please click here</a>   -->
		</td>
          </tr>
          </table>
	     ";
break;

}

// "Mistake"-Colors for Input fields:
$m_color 		= array();
$m_color[0]    = '#ffffff';   // this is for 'no mistake'
$m_color[1]    = '#FFB062';


$ip_address 		= Security::ip_address();
$math_problem		= Security::MathProblem();
$math_answer        = $math_problem[1];
$referer 			= $_SERVER[HTTP_REFERER];
$submitted_or_not	= 0;


////////////////////////////////////////////////////////////////////////////////////////////

// we check the entries, if form was submitted
if ((isset($_POST[sent_from_form])) && ($_POST[sent_from_form] == $label[submit])) {

	$submitted_or_not	= 1;   // 1 = yes it was submitted
     $number_of_mistakes = 0;   // 0 = no mistakes so far
     $email_sent		= 0;


	if((!$_POST[name]) || (strlen($_POST[name])<3)){

     $feedback .= "<span class='form_mistake'>$cm[name]</span><br/>";
     $b_color[0] = $m_color[1];
     $number_of_mistakes++;
	}


	// email gets checked
	$pattern = '/.*@.*\..*/';
	if (preg_match($pattern, $_POST[email]) < 1) {
	$feedback .= "<span class='form_mistake'>$cm[email]</span><br/>";
     $b_color[1] = $m_color[1];
     $number_of_mistakes++;
	}

     if(strlen($_POST[nachricht])<5){
     $feedback .= "<span class='form_mistake'>$cm[message]</span><br/>";
     $b_color[2] = $m_color[1];
     $number_of_mistakes++;
	}


     // Security Code checken
	if($_POST[S_Code]!= $_POST[math])
	{
	$feedback .= "<span class='form_mistake'>$cm[s_code]</span><br/>";
     $b_color[3] = $m_color[1];
     $number_of_mistakes++;
	}
}



// this is the form ///////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////

$the_form = "
<table class='form_out'>
<tr>
<td>
<form name='Formular' action='index.php?cmd=contact_us' method='post'>
<input type='hidden' name='math' value='$math_answer'/>
";

if($ip == 1){
	$the_form .= "<input type='hidden' name='ip' value='$ip_address'/>";
}


$the_form .= "
<table class='form'>

<tr>
<td class='label'>$label[name]&nbsp;&nbsp;</td>

<td>
<div align='left'>
<input style='background-color: $b_color[0];' value='$_POST[name]' maxlength='30' type='text' size='30' name='name'/>
</div>
</td>
</tr>

<tr>
<td class='label'>$label[email]&nbsp;&nbsp; </td>

<td>
<div align='left'>
<input style='background-color: $b_color[1];' maxlength='40' type='text' size='30' name='email' value='$_POST[email]'/>
</div>
</td>
</tr>

<tr>
<td class='label'>$label[tele] </td>
<td>
<div align='left'>
<input maxlength='30' type='text' size='30' name='tele' value='$_POST[tele]'/>
<font size='-2'> [optional]</font>
</div>
</td>
</tr>

<tr>
<td colspan='2'>&nbsp;</td>
</tr>

<tr>
<td colspan='2' class='label'>$label[message]</td>
</tr>

<tr>
<td colspan='2' class='label'><textarea style='background-color: $b_color[2];' name='nachricht' rows='6' cols='45' class='Bereich'>
$_POST[nachricht]</textarea></td>
</tr>
</table>
<br/>

<hr size='1'/>
<div align='center'>
<table  class='form' >
<tr>
<td class='mathe_question'>
<sup>
<img src='' width='15' height='14'
border='0' alt='$label[why_math]'/>
</sup>
$label[s_code] &nbsp;
$math_problem[0] =
</td>

     <td>
     <input style='background-color: $b_color[3];'
     maxlength='3' name='S_Code' size='2' type='text'/>
     </td>

</tr>
</table>
</div>
<hr size='1'/>

<br/>
	<div align='center'>
	<input name='sent_from_form' type='submit' value='$label[submit]'/>
	</div>
     <br/>
</form>
</table>
";

///////////////////////////////////////////////////////////////////////////////////////////
include 'templates/'.$site_design.'/'.$cmd.'.php';
?>