<?php
$NWSCL->auth(1);

// Reload - Prevention
$listing_form = 'index.php?cmd=post_it';
if ((!isset($_POST['listing_action'])) || (!$_POST['listing_action'] == 'Step 2 : Preview')) {
	header('Location: index.php?cmd=post_it');
	exit();
}


$num_of_error 	= 0;
$feedback 		= NULL;	

// #############################################################
// step 2 - no empty fields

$field_to_check 	= array();
$field_to_check[0]  = 'title';
$field_to_check[1]  = 'description';
$field_to_check[2]  = 'price';
/*
$field_to_check[3]  = 's_name';
$field_to_check[4]  = 's_town';
$field_to_check[5]  = 's_phone';
$field_to_check[6]  = 's_email';
$field_to_check[7]  = 'email_2';
*/

$error_mess			= array();
$error_mess[0]  	= 'The title or <b>name</b> of the item is missing.';
$error_mess[1]  	= 'We need a little bit more <b>description</b>.';
$error_mess[2]  	= 'The asking <b>price</b> is missing.';
$error_mess[3]  	= 'Your <b>name</b> is missing.';
$error_mess[4]  	= 'Your <b>town</b> is missing.';
$error_mess[5]  	= 'Your <b>telephone number</b> is missing.';
$error_mess[6]  	= 'Your <b>email address</b> is missing.';
$error_mess[7]  	= 'The <b>repetition of your email</b> address is missing.';


if($_SESSION[mid]== 2){
	$field_to_check[8]   = 'size';
    $field_to_check[9]  = 'year_built';
    $field_to_check[10] = 'rooms';
    $field_to_check[11] = 'parking';

    $error_mess[8]  	= 'The <b>size of the object</b> is missing.';
	$error_mess[9]  	= 'The <b>year built</b> is missing.';
	$error_mess[10]  	= 'The <b>number of rooms</b> is missing.';
	$error_mess[11]  	= 'The <b>parking options</b> are missing.';

}
if($_SESSION[mid]== 1){

	$field_to_check[8]  = 'extras';
    $field_to_check[9]  = 'mileage';
	$field_to_check[9]  = 'year_car_built';
    $field_to_check[10] = 'ps';
    $field_to_check[11] = 'fuel';

    $error_mess[8]  	= 'The <b>extras</b> of the automobile are missing.';
	$error_mess[9]  	= 'The <b>mileage</b> is missing.';
	$error_mess[10]  	= 'The <b>year when the automobile</b> was built is missing.';
	$error_mess[11]  	= 'The <b>number of ps</b> are missing.';
	$error_mess[11]  	= 'Provide us with the <b>kind of fuel</b> needed.';
}



// *********************   check data of form   ************************

// step 1 - remove all possible dangerous data
$_POST 			= $validation->clean_data();



// #############################################################
// step 2 - no empty fields
$num_of_error 	= $validation->emptyFieldsCheck($field_to_check,$error_mess);



// ##############################################################
// step 3 - no missing picture please
$num_of_error 	= $validation->pictureExist();


// #############################################################
// step 4 - price: only numbers, not 0  + not too long :

$na_und = $validation->number_sanityCheck($_POST[price], 15);

if ($na_und != 1) {
	$feedback 		.= "<br/>Please correct the price.";
	$num_of_error = 1;
}
		


// #############################################################
// step 5 -  name, town: only letters
/*




// #############################################################
// step 6 -  telephone number: only numbers

    $tel_num_ok =  $validation->telephone_sanityCheck($_POST[s_phone], 8, 25);

    if ($tel_num_ok == 1) {
    //echo "Number check was passed";
    }else {
    echo "<br><br>Please correct the telephone number.";
    $num_of_error = 1;
    }


// #############################################################
// step 7 - check for valid email address + repetition needs to fit




// #############################################################
// step 8 - IM name there?




// #############################################################
// step 9 - AGB checked?
*/

// if there was a mistake we stop the script here
if($num_of_error == 1){

	$feedback 		.= "
     <hr/>
		<b style='color: #FF5F00;'>To correct your information please press the BACK BUTTON of your browser.</b>
     <hr/>";
}
else {


// #############################################################################
// *******************  DATA IS VERIFIED ***************************************
// *******************  READY TO BE PROCESSED **********************************


$DB_TABLES 			= array();
$DB_TABLES[0] 		= "$DB_PREFIX".'real_estate';
$DB_TABLES[1] 		= "$DB_PREFIX".'automobiles';
$DB_TABLES[2] 		= "$DB_PREFIX".'items';

$field 				= 'item_ID';


// ################################   Image Upload  follows ##################################



if ($_POST['mid'] == 2){
     $IMAGE_PATH		= 'images/real_estate/';
}
elseif ($_POST['mid'] == 1){
     $IMAGE_PATH		= 'images/automobiles/';
}
else {
     $IMAGE_PATH		= 'images/items/';
}

$max_size 	= 200000;
$no_images 	= 3;
$db_pic[0] 	= '';


for ($i = 1; $i < ($no_images+1); $i++){

	$item_image = 'item_image_' . $i;


     if (!$_FILES[$item_image]['name']) {
     	$image_name 	= 'none';
          $data          = 'nada';
     }
     else {

	// produce random string + add it to name of picture
	$randString = $validation->makeRandomString();
     // Empty spaces in the file name are replaced by a underscore
     $image_name = str_replace(" ", "_", $_FILES[$item_image]['name']);

     // we dont use explode since the image name could contain dots
     $file_ext 			= strtolower(strrchr($image_name,"."));
     $image_remainder 	= substr($image_name, 0,-(strlen($file_ext)));

	$image_name = $image_remainder . '_' . $randString . $file_ext;
	$_FILES[$item_image]['name'] 	= $image_name;

     // Security against file upload attacks
     if(!is_uploaded_file($_FILES[$item_image]['tmp_name'])){
     $feedback 		.= "Error in the image upload action ";
     exit();
     }

     // File size check
     if (is_uploaded_file($_FILES[$item_image]['tmp_name'])) {
          if ($_FILES[$item_image]['size']>$max_size) {
           $feedback 		.= "Sorry - Your image file is too big.<br/>Use a smaller image.\n";
          exit();
          }
     }

   // File type check - continuues with else further down
	if (($_FILES[$item_image]['type']=="image/gif") || ($_FILES[$item_image]['type']=="image/pjpeg") || ($_FILES[$item_image]['type']=="image/jpeg")) {

	$image_type_ok = 'valid';

	} else {
			 $feedback 		.= "Wrong file type for image file! Only .jpg, .gif or .png possible.<br>\n";
     exit();
	}

     // The permanent saving of the file

	$save_ok = move_uploaded_file($_FILES[$item_image]['tmp_name'], $IMAGE_PATH . $_FILES[$item_image]['name']);

     } // else end - line 317

  	// we need an array for the DB
     $db_pic[$i]    .= "$image_name";


}  // end FOR

//####################################################################################
//############################### insert into DB tables  #############################

$now 	= time();

if ($_POST['mid'] == 2){

		$db_name 			= "$DB_PREFIX".'real_estate';
		$column_array 		= array();
		$value_array		= array();		
		 
		$column_array[0] = 'item_ID'; 				$value_array[0]	= '';
		$column_array[1] = 'area'; 					$value_array[1]	= $_POST[area];
		$column_array[2] = 'uid'; 					$value_array[2]	= $_SESSION[uid];
		$column_array[3] = 'cat'; 					$value_array[3]	= $_POST[category];
		$column_array[4] = 'title'; 				$value_array[4]	= $_POST[title];
		$column_array[5] = 'description'; 			$value_array[5]	= $_POST[description];
		$column_array[6] = 'picture_1'; 			$value_array[6]	= $db_pic[1];
		$column_array[7] = 'picture_2'; 			$value_array[7]	= $db_pic[2];
		$column_array[8] = 'picture_3'; 			$value_array[8]	= $db_pic[3];
		$column_array[9] = 'size'; 					$value_array[9]	= $_POST[size];
		$column_array[10] = 'year_built'; 			$value_array[10]= $_POST[year_built];
		$column_array[11] = 'rooms'; 				$value_array[11]= $_POST[rooms];
		$column_array[12] = 'parking'; 				$value_array[12]= $_POST[parking];
		$column_array[13] = 'price'; 				$value_array[13]= $_POST[price];
		$column_array[14] = 'time'; 				$value_array[14]= time();
		$column_array[15] = 'level'; 				$value_array[15]= '0';		 
				 	  
		$ok = db::insert($db_name,$column_array,$value_array);
	  
}
elseif ($_POST['mid'] == 1){

		$db_name 			= "$DB_PREFIX".'automobiles';	
		$column_array 		= array();
		$value_array		= array();		
		 
		$column_array[0] = 'item_ID'; 				$value_array[0]	= '';
		$column_array[1] = 'area'; 					$value_array[1]	= $_POST[area];
		$column_array[2] = 'uid'; 					$value_array[2]	= $_SESSION[uid];
		$column_array[3] = 'cat'; 					$value_array[3]	= $_POST[category];
		$column_array[4] = 'title'; 				$value_array[4]	= $_POST[title];
		$column_array[5] = 'description'; 			$value_array[5]	= $_POST[description];
		$column_array[6] = 'picture_1'; 			$value_array[6]	= $db_pic[1];
		$column_array[7] = 'picture_2'; 			$value_array[7]	= $db_pic[2];
		$column_array[8] = 'picture_3'; 			$value_array[8]	= $db_pic[3];
		$column_array[9] = 'extras'; 				$value_array[9]	= $_POST[extras];
		$column_array[10] = 'mileage'; 				$value_array[10]= $_POST[mileage];	
		
		$column_array[11] = 'year_car_built'; 		$value_array[11]= $_POST[year_car_built];
		$column_array[12] = 'ps'; 					$value_array[12]= $_POST[ps];
		$column_array[13] = 'fuel'; 				$value_array[13]= $_POST[fuel];
		$column_array[14] = 'price'; 				$value_array[14]= $_POST[price];
		$column_array[15] = 'time'; 				$value_array[15]= time();		 
		$column_array[16] = 'level'; 				$value_array[16]= '0';			
		
		$ok = db::insert($db_name,$column_array,$value_array);
					
}
else {




// --> DB
$db_name = "$DB_PREFIX".'items';
$sql_string = "
 			INSERT INTO
 			$db_name
                    (item_ID, area, uid, cat, title, description, picture_1, picture_2, picture_3, price, time, level)
               VALUES
                    ('', '$_POST[area]', $_SESSION[uid] ,'$_POST[category]','$_POST[title]','$_POST[description]', '$db_pic[1]', '$db_pic[2]', '$db_pic[3]', '$_POST[price]', '$now','0')
                    ";

$result1 		= mysql_query("$sql_string") or die (mysql_error());

}


// ***********************************************************************************
// ***********************************************************************************


$DB_TABLES 			= array();
$DB_TABLES[0]       = "$DB_PREFIX".'items';
$DB_TABLES[1]       = "$DB_PREFIX".'automobiles';
$DB_TABLES[2] 		= "$DB_PREFIX".'real_estate';




if ($_POST['mid'] == 2){
     $IMAGE_PATH		= 'images/real_estate/';
     $db_name 			= $DB_TABLES[2];
}
elseif ($_POST['mid'] == 1){
     $IMAGE_PATH		= 'images/automobiles/';
     $db_name 			= $DB_TABLES[1];
}
else {
     $IMAGE_PATH		= 'images/items/';
     $db_name 			= $DB_TABLES[0];
}


// we consult the correct DB table
$table_row = $db->select_row_listing($db_name, $_POST[s_email], $now);



// ########################## SHOW IT ALL AGAIN #########################################

$feedback 		.= '
<div class="preview_container">
';
$feedback 		.= "<h2>Is this listing correct?</h2>";

// different views according to MCategories

if ($_POST['mid'] == 2){

	$row_id 		= mysql_result($table_row,0,"item_ID");
	$cat		 	= mysql_result($table_row,0,"cat");

	$title 			= mysql_result($table_row,0,"title");
	$description 	= mysql_result($table_row,0,"description");
	$picture_1		= mysql_result($table_row,0,"picture_1");
	$picture_2		= mysql_result($table_row,0,"picture_2");
	$picture_3		= mysql_result($table_row,0,"picture_3");

	$size 			= mysql_result($table_row,0,"size");
	$year_built 	= mysql_result($table_row,0,"year_built");

	$rooms 			= mysql_result($table_row,0,"rooms");
	$parking 		= mysql_result($table_row,0,"parking");
	$price 			= mysql_result($table_row,0,"price");


// preview real estate
$feedback 		.= "
<table class = 'details'>
          <tr>

          <td valign='top'>
          <fieldset>
          	<img src='{$IMAGE_PATH}{$picture_1}' alt='$title' border='0'>
          ";

          if ($picture_2 != 'none'){
          	$feedback 		.= "<br><img src='{$IMAGE_PATH}{$picture_2}' alt='$title' border='0'>";
          }

          if ($picture_3 != 'none'){
			$feedback 		.="<br><img src='{$IMAGE_PATH}{$picture_3}' alt='$title' border='0'>";
          }

          $feedback 		.= "
	     </fieldset>
	     </td>

	          <td valign='top'>
	          <fieldset>
	          <legend>{$title}:&nbsp;</legend>
	          <br/>
	          Description: <br/>
	          {$description}  <br/><br/>

               Size: {$size} m2 <br/><br/>

               Year built: {$year_built}  <br/><br/>

               No. of Rooms:  {$rooms}  <br/><br/>

               Parking: {$parking}  <br/><br/>

	          Asking price: $site_currency{$price}.-
          </fieldset>
";

               $what_table 	= $DB_TABLES[2];

}
elseif ($_POST['mid'] == 1){

// preview automobiles
$row_id 		= mysql_result($table_row,0,"item_ID");
$cat		 	= mysql_result($table_row,0,"cat");

$title 			= mysql_result($table_row,0,"title");
$description 	= mysql_result($table_row,0,"description");
$picture_1		= mysql_result($table_row,0,"picture_1");
$picture_2		= mysql_result($table_row,0,"picture_2");
$picture_3		= mysql_result($table_row,0,"picture_3");

$extras 		= mysql_result($table_row,0,"extras");
$mileage	 	= mysql_result($table_row,0,"mileage");
$year_car_built	= mysql_result($table_row,0,"year_car_built");

$ps	 			= mysql_result($table_row,0,"ps");
$fuel			= mysql_result($table_row,0,"fuel");

$price 			= mysql_result($table_row,0,"price");


$db_name 		= "$DB_PREFIX".'cat_auto';
$param1 		= $cat;
$order_col1 	= 'name';

$auto_make	 	= $db->select_auto_make($db_name, $param1);



$feedback 		.= "
<table class = 'details'>
          <tr>
          <td valign='top'>
          <td valign='top'>
          <fieldset>
          	<img src='{$IMAGE_PATH}{$picture_1}' alt='$auto_make $title' border='0'>
          ";

         if ($picture_2 != 'none'){
          	$feedback 		.= "<br><img src='{$IMAGE_PATH}{$picture_2}' alt='$title' border='0'>";
          }

          if ($picture_3 != 'none'){
				$feedback 	.=  "<br/><img src='{$IMAGE_PATH}{$picture_3}' alt='$title' border='0'>";
          }

          $feedback 		.= "
	     </fieldset>
	     </td>


	          <td valign='top'>
	          <fieldset>
	          <legend>{$auto_make} {$title}:&nbsp;</legend>
	          <br/>
	          Description: <br/>
	          {$description}  <br/><br/>

               Extras: {$extras}  <br/>

               Mileage: {$mileage}  <br/><br/>

               PS: {$ps}  <br/><br/>

          	Fuel: {$fuel}  <br/><br/>


			Year built: {$year_car_built}  <br/><br/>


	          Asking price: $site_currency{$price}.-
          </fieldset>
";

		$what_table 	= $DB_TABLES[1];


}
else {

// preview items
$row_id 		= mysql_result($table_row,0,"item_ID");
$cat		 	= mysql_result($table_row,0,"cat");

$title 			= mysql_result($table_row,0,"title");
$description 	= mysql_result($table_row,0,"description");
$picture_1		= mysql_result($table_row,0,"picture_1");
$picture_2		= mysql_result($table_row,0,"picture_2");
$picture_3		= mysql_result($table_row,0,"picture_3");
$price 			= mysql_result($table_row,0,"price");


	$feedback 		.= "
	<table class = 'details'>
	          <tr>
	          <td valign='top'>
              <fieldset>
              <img src='{$IMAGE_PATH}{$picture_1}' alt='$title' border='0'>
              ";

     	if ($picture_2 != 'none'){
          	$feedback 		.= "<br><img src='{$IMAGE_PATH}{$picture_2}' alt='$title' border='0'>";
        }
        if ($picture_3 != 'none'){
			$feedback 		.= "<br><img src='{$IMAGE_PATH}{$picture_3}' alt='$title' border='0'>";
        }

          $feedback .= "
          </fieldset>
	               </td>

	               <td valign='top'>
	               <fieldset>
	               <legend>{$title}:&nbsp;</legend>
	               <br/>
	               Description: <br/>
	               {$description}  <br/><br/>

	               Asking price: $site_currency{$price}.-
	          </fieldset>
	";


    $what_table 	= $DB_TABLES[0];

}



// end of form: Persons info

/*
$s_name 	= mysql_result($table_row,0,"s_name");
$s_town 	= mysql_result($table_row,0,"s_town");
$s_email 	= mysql_result($table_row,0,"s_email");


$IM_type 	= mysql_result($table_row,0,"IM_type");
$IM_name 	= mysql_result($table_row,0,"IM_name");



	echo "
	          <br/>

	          <fieldset>
	               <legend>Contact:&nbsp;</legend>
	               <br/>
	               Name: {$s_name} <br/>
	               Town: {$s_town} <br/><br/>
	               Email: $s_email
                    ";
                    if ($IM_type != 'NA'){
                    echo "
                    <br/>
	               Instant Messenger:  $IM_type<br>
	               Messenger Name:     $IM_name
                    ";
                    }

               echo "
	          <br/><br/>
	          </fieldset>
	          </td>
	          </tr>
	          </table>
	";
*/

               $email_address = $s_email;



// #############################  BUTTONS BELOW  #####################################
$feedback 		.= "
</div>
<br/><br/>
<hr noshade size='1'>
<table>
<tr>
	 <td>
	     <form action='index.php?cmd=activate1' method='post'>
	          <input type='Submit' name='listing_action' value='This listing is OK'>
				<input type='hidden' name='row_id' 			value='$row_id' />
               <input type='hidden' name='title' 			value='$title' />
               <input type='hidden' name='now' 				value='$now' />
			<input type='hidden' name='what_table' 			value='$what_table' />
               <input type='hidden' name='email_address' 	value='$email_address' />
	     </form>
	 </td>

      <td>
          <form>
          <input onclick='javascript:window.history.go(-1)' type='button'
          value='Correction needed'/>
          </form>

      </td>
       <!--    <input type='Submit' name='listing_action' value='Correction needed'>
               <input type='hidden' name='row_id'         value='$row_id' />
               <input type='hidden' name='now'            value='$now' />
               <input type='hidden' name='what_table'     value='$what_table' /> -->
</tr>
</table>
";
}

//////////////////////////////////////////////////
include 'templates/'.$site_design.'/'.$cmd.'.php';
?>