<?php
session_start();
require 'YOUR_VALUES.php';

// ################## Call to Framework #################################

$FRAMEWORK_DIR		= '/lib/';
$FRAMEWORK_PATH	 	= NWSCL_PATH . $FRAMEWORK_DIR;

require_once "{$FRAMEWORK_PATH}class.db.php";
require_once "{$FRAMEWORK_PATH}class.email.php";
require_once "{$FRAMEWORK_PATH}class.validate.php";
require_once "{$FRAMEWORK_PATH}class.security.php";
require_once "{$FRAMEWORK_PATH}class.nwscl.php";

$db       		= new db();
$email    		= new email();
$validation 	= new Validate();
$secure 		= new Security();
$NWSCL			= new nwscl();


//####################################################################
// DB - connection
$DatabasePointer = mysql_connect(DB_HOST,DB_USERNAME,DB_PASSWORD);
@mysql_select_db(DB_NAME, $DatabasePointer) or die ('Unable to select database');
$DB_PREFIX = DB_PREFIX;


//################################### DATA from ADMIN Table ################
$db_table 			= DB_PREFIX .'admin';
$where_condition[0] = 'id';
$where_condition[1] = 1;

$result1 		= $db->select_simple($db_table, $where_condition);
$row 			= mysql_fetch_assoc($result1);

$mode			= $row['mode'];
$fee_listing	= $row['fee'];

define('SITE_LANG',$row['language']);
define('GOOGLE_MAPS_API_KEY',$row['google_maps']);
define('GOOGLE_ANALYTICS_KEY',$row['google_analytics']);

     if ($mode == 0){
       	$SITE_posting_mode  = 'free';
     }else {
        $SITE_posting_mode  = 'fee';
     }

	 
// ################## Language ###################################################
$existLangs 			= array();
$existLangs['en_US'] 	= 'English/USA';
$existLangs['de_DE'] 	= 'German/Germany';

$LANG		= array();
$qStr 		= "SELECT lstring,lvalue FROM ".DB_PREFIX ."language WHERE language = '$row[language]'";
$res 		= mysql_query($qStr);
while($rowLang = mysql_fetch_assoc($res)){
	$LANG["$rowLang[lstring]"] = $rowLang['lvalue'];
}
	 
	
// ################## Domain + Site name ##########################################
    $site_name          	= substr($row[site_www],4);    	
    $site_title         	= $row[site_title];             
    $EMAIL_DOMAIN			= $row[site_www]; 
    $SITE_payment_domain 	= NWSCL_URL; 


// ################## Email settings ##############################################
    $DEFAULT_EMAIL_ADDRESS 	= $row[site_email];
    $ADMIN_EMAIL_ADDRESS 	= $row[site_email];
	$admin_email_address    = $row[site_email];
	$site_email_address 	= $row[site_email];      

// #######################  FINANCIAL: Posting Fees a.s.o. ##############################

	$SITE_posting_fee 		= $fee_listing;
    $site_currency      	= $row[site_curr_sym];
    $Site_currency_name 	= $row[site_curr_name]; 
		
    //paypal button
	$Site_paypal_receiver 	= $row[paypal_email];     
    $Site_paypal_currency 	= $row[paypal_curr];


// #####################  Image settings ################################
	// Category page : thumbnail width
	$thumb_width   			= $row[thumb_width];
	// Details page : max width
	$max_img_width			= $row['max_img_width'];  //in px

	
// #####################  Site encryption settings #####################
	$SITE_CRYP_KEY 		= '3';               // shift for Ceaser encryption
	$SITE_CRYP_KEY_2 	= 100173;            // value added on the timestamp in listung
											// sum is sent thru PayPal system
	$css_class_ext      = '';
	$site_area          = 'the_local_area';  // give your local area a name

								 
//################################### DESIGN ###############################
	$name_template	= mysql_result($result1,0,"design");
	$site_design 	= $name_template;


// ################## the Paths + other important data ######################

    $css_path 			= NWSCL_URL . '/templates/' . "$site_design" . '/css/main.css';
    $class_path			= NWSCL_URL . '/lib/';
    $home_path			= NWSCL_URL . '/';
	$include_path  		= NWSCL_URL . '/include/';
    $IMAGE_DIR          = '/images/';
	$IMAGE_PATH	 		= NWSCL_PATH . $IMAGE_DIR;
	$IMAGE_URL	 		= NWSCL_URL . $IMAGE_DIR;
    $designs_img_path   = NWSCL_URL . '/templates/' . "$site_design" . '/images/';

    $admin_path 		= NWSCL_URL . '/admin/';
    $admin_actions_path = NWSCL_URL . '/admin/admin_actions/';


	$referer 			= $_SERVER[HTTP_REFERER];
    $page_where 		= $_SERVER[PHP_SELF];            // What is the current position?
    $name_of_page		= basename ($page_where,".php");


// User table 
	$CONFIG = array();

	$CONFIG[db_user_table] 			= 'nwscl_users';
	$CONFIG[ADMIN_EMAIL_ADDRESS]	= $ADMIN_EMAIL_ADDRESS;
	$CONFIG[domain]					= $EMAIL_DOMAIN;
	$CONFIG[site_title]				= $site_title;
	$CONFIG[points_rate]			= $row[points_rate]; 
	
	
// minimum points for listing
	$CONFIG[minimum_points]			= $row[minimumPoints];
	
// how many points are subtracted per listing? 
	$CONFIG[listingPointAmount] 	= $row[listingPointAmount];
	
// current release number
	define('NWSCL_RELEASE','0.07');
?>