<?php
/*
 NWS-Classifieds Project
<http://www.neuber-web-solutions.de/nwsclassifieds/index.php />
 Copyright (C) 2007, Andy Neuber

 NWS-Classifieds is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 NWS-Classifieds is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with NWS-Dictionary; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  -----------------------------------------------------------------------------------------
  This file is based on: 
  (c) 2004-2008 Website Baker Project <http://www.websitebaker.org/>
  - Ryan Djurovich
  Released under the GNU General Public License 
  -----------------------------------------------------------------------------------------
  
  */
function create_DB($db_name)
{
	// Try to create the database
	mysql_query('CREATE DATABASE `'.$db_name.'`');
	mysql_close();
}



function create_tables($DB_HOST, $DB_USERNAME, $DB_PASSWORD, $DB,$TABLES)
{
$DatabasePointer = mysql_connect($DB_HOST, $DB_USERNAME, $DB_PASSWORD);
@mysql_select_db($DB, $DatabasePointer) or die ('Unable to select database');


	foreach($TABLES as $k => $tablename){
	
		switch($k){
			case 0:
				$qStr = "
					CREATE TABLE $tablename (
						  `id` tinyint(4) NOT NULL default '0',
						  `mode` enum('0','1','2') NOT NULL default '0',
						  `fee` tinyint(4) NOT NULL default '1',
						  `design` varchar(255) NOT NULL default '',
						  `site_title` varchar(255) NOT NULL,
						  `site_www` varchar(255) NOT NULL,
						  `site_email` varchar(255) NOT NULL,
						  `site_curr_sym` char(4) NOT NULL,
						  `site_curr_name` varchar(255) NOT NULL,
						  `paypal_email` varchar(255) NOT NULL,
						  `paypal_curr` varchar(255) NOT NULL,
						  `thumb_width` int(11) NOT NULL,
						  `max_img_width` int(11) NOT NULL,
						  `install_secured` enum('0','1') NOT NULL default '0',
						  `minimum_points` int(11) NOT NULL,
						  `listingPointAmount` int(11) NOT NULL,
						  `points_rate` varchar(255) NOT NULL,
						  `language` varchar(5) character set utf8 NOT NULL default 'en_US',
						  `google_maps` varchar(255) character set utf8 NOT NULL,
						  `google_analytics` varchar(255) NOT NULL,
					  PRIMARY KEY  (`mode`)
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;
				";
			break;
	
			case 1:
				$qStr = "
						CREATE TABLE IF NOT EXISTS `nwscl_ads` (
							  `ad_id` tinyint(4) NOT NULL auto_increment,
							  `ad_space` tinyint(4) NOT NULL,
							  `customer` varchar(255) character set utf8 NOT NULL,
							  `banner_img` varchar(255) character set utf8 NOT NULL,
							  `banner_url` varchar(255) character set utf8 NOT NULL,
							  `valid_from` varchar(30) character set utf8 NOT NULL,
							  `valid_to` varchar(30) character set utf8 NOT NULL,
							  `level` enum('0','1','2','3') character set utf8 NOT NULL default '1',
							  PRIMARY KEY  (`ad_id`)
						) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=1;
				";
			break;
			
			case 2:
				$qStr = "
					CREATE TABLE $tablename(
					  `item_ID` int(11) NOT NULL auto_increment,
					  `area` varchar(15) collate latin1_german2_ci NOT NULL default '',
					  `uid` int(11) NOT NULL,
					  `cat` tinyint(4) NOT NULL default '0',
					  `title` varchar(255) collate latin1_german2_ci NOT NULL default '',
					  `description` text collate latin1_german2_ci NOT NULL,
					  `picture_1` varchar(255) collate latin1_german2_ci NOT NULL default '',
					  `picture_2` varchar(255) collate latin1_german2_ci NOT NULL default 'none',
					  `picture_3` varchar(255) collate latin1_german2_ci NOT NULL default 'none',
					  `extras` text collate latin1_german2_ci NOT NULL,
					  `mileage` varchar(7) collate latin1_german2_ci NOT NULL default '',
					  `year_car_built` varchar(4) collate latin1_german2_ci NOT NULL default '',
					  `ps` varchar(4) collate latin1_german2_ci NOT NULL default '',
					  `fuel` varchar(50) collate latin1_german2_ci NOT NULL default '',
					  `price` decimal(8,2) NOT NULL,
					  `time` varchar(15) collate latin1_german2_ci NOT NULL default '',
					  `level` enum('0','1','2','3','4','5') collate latin1_german2_ci NOT NULL default '0',
					  PRIMARY KEY  (`item_ID`)
					) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=1;
				";
			break;
			
			case 3:
			
				$qStr = "
				CREATE TABLE $tablename(
				  `cat_ID` tinyint(4) NOT NULL auto_increment,
				  `name` varchar(255) NOT NULL default '',
				  `cat_level` enum('0','1','2','3') NOT NULL default '2',
				  PRIMARY KEY  (`cat_ID`)
				) TYPE=MyISAM AUTO_INCREMENT=1;							
				";
			
			break;
			
			
			case 4:
				$qStr = "
				CREATE TABLE $tablename (
				  `cat_ID` tinyint(4) NOT NULL auto_increment,
				  `name` varchar(255) NOT NULL default '',
				  `cat_level` enum('0','1','2','3') NOT NULL default '2',
				  PRIMARY KEY  (`cat_ID`)
				) TYPE=MyISAM AUTO_INCREMENT=1;				
				";
			break;
			
			
			case 5:			
				$qStr = "
				CREATE TABLE $tablename (
				  `cat_ID` tinyint(4) NOT NULL auto_increment,
				  `name` varchar(255) NOT NULL default '',
				  `cat_level` enum('0','1','2','3') NOT NULL default '2',
				  PRIMARY KEY  (`cat_ID`)
				) TYPE=MyISAM COMMENT='Categories' AUTO_INCREMENT=1;				
				";
			break;
			
			
			case 6:
				$qStr = "
				CREATE TABLE $tablename (
				  `name` varchar(255) NOT NULL default '',
				  `status` enum('0','1') NOT NULL default '0',
				  PRIMARY KEY  (`name`)
				) TYPE=MyISAM;
				";
			break;
			
			
			
			case 7:
				$qStr = "
				CREATE TABLE $tablename (
				  `item_ID` int(11) NOT NULL auto_increment,
				  `area` varchar(15) collate latin1_german2_ci NOT NULL default '',
				  `uid` int(11) NOT NULL,
				  `cat` tinyint(4) NOT NULL default '0',
				  `title` varchar(255) collate latin1_german2_ci NOT NULL default '',
				  `description` text collate latin1_german2_ci NOT NULL,
				  `picture_1` varchar(255) collate latin1_german2_ci NOT NULL default '',
				  `picture_2` varchar(255) collate latin1_german2_ci NOT NULL default '',
				  `picture_3` varchar(255) collate latin1_german2_ci NOT NULL default '',
				  `price` decimal(6,2) NOT NULL,
				  `time` varchar(15) collate latin1_german2_ci NOT NULL default '',
				  `level` enum('0','1','2','3','4','5') collate latin1_german2_ci NOT NULL default '0',
				  PRIMARY KEY  (`item_ID`)
				) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=1;
				";
			break;
			
			case 8:
				$qStr = "
					CREATE TABLE IF NOT EXISTS `nwscl_language` (
					  `sid` int(11) NOT NULL auto_increment,
					  `lstring` varchar(255) character set utf8 NOT NULL,
					  `lvalue` varchar(255) character set utf8 NOT NULL,
					  `language` varchar(5) character set utf8 NOT NULL,
					  PRIMARY KEY  (`sid`)
					) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=284 ;
				";
			break;			
			
			case 9:
				$qStr = "
				CREATE TABLE $tablename (
				  `item_ID` int(11) NOT NULL auto_increment,
				  `area` varchar(15) collate latin1_german2_ci NOT NULL default '',
				  `uid` int(11) NOT NULL,
				  `cat` tinyint(4) NOT NULL default '0',
				  `title` varchar(255) collate latin1_german2_ci NOT NULL default '',
				  `description` text collate latin1_german2_ci NOT NULL,
				  `picture_1` varchar(255) collate latin1_german2_ci NOT NULL default '',
				  `picture_2` varchar(255) collate latin1_german2_ci NOT NULL default 'none',
				  `picture_3` varchar(255) collate latin1_german2_ci NOT NULL default 'none',
				  `size` varchar(7) collate latin1_german2_ci NOT NULL default '',
				  `year_built` varchar(4) collate latin1_german2_ci NOT NULL default '',
				  `rooms` char(2) collate latin1_german2_ci NOT NULL default '',
				  `parking` varchar(150) collate latin1_german2_ci NOT NULL default '',
				  `price` decimal(10,2) NOT NULL,
				  `time` varchar(15) collate latin1_german2_ci NOT NULL default '',
				  `level` enum('0','1','2','3','4','5') collate latin1_german2_ci NOT NULL default '0',
				  PRIMARY KEY  (`item_ID`)
				) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=1;			
				";
			break;
			
			case 10:
				$qStr = "
					CREATE TABLE IF NOT EXISTS `nwscl_pages` (
					  `pid` int(11) NOT NULL auto_increment,
					  `title` varchar(255) collate latin1_german2_ci NOT NULL,
					  `content` text collate latin1_german2_ci NOT NULL,
					  `meta_keywords` varchar(255) collate latin1_german2_ci NOT NULL,
					  `meta_description` varchar(255) collate latin1_german2_ci NOT NULL,
					  `hidden` enum('0','1') collate latin1_german2_ci NOT NULL default '0',
					  `level` enum('0','1','2','3','4','5','6','7') collate latin1_german2_ci NOT NULL default '0',
					  PRIMARY KEY  (`pid`)
					) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=26 ;
				";			
			break;
			
			
			case 11:
				$qStr = "
				CREATE TABLE $tablename (
				  `uid` int(11) NOT NULL auto_increment,
				  `uname` varchar(255) collate latin1_german2_ci NOT NULL,
				  `pword` varchar(255) collate latin1_german2_ci NOT NULL,
				  `email` varchar(255) collate latin1_german2_ci NOT NULL,
				  `confirmed` varchar(255) collate latin1_german2_ci NOT NULL default '0',
				  `fname` varchar(255) collate latin1_german2_ci NOT NULL,
				  `lname` varchar(255) collate latin1_german2_ci NOT NULL,
				  `street` varchar(255) collate latin1_german2_ci NOT NULL,
				  `town` varchar(255) collate latin1_german2_ci NOT NULL,
				  `zip` varchar(255) collate latin1_german2_ci NOT NULL,
				  `state` varchar(255) collate latin1_german2_ci NOT NULL,
				  `country` varchar(255) collate latin1_german2_ci NOT NULL,
				  `google_maps` enum('0','1') collate latin1_german2_ci NOT NULL default '1',
				  `telephone` varchar(255) collate latin1_german2_ci NOT NULL,
				  `skype` varchar(255) collate latin1_german2_ci NOT NULL,
				  `msn` varchar(255) collate latin1_german2_ci NOT NULL,
				  `yahoo` varchar(255) collate latin1_german2_ci NOT NULL,
				  `terms` enum('0','1') collate latin1_german2_ci NOT NULL default '0',
				  `user_since` varchar(255) collate latin1_german2_ci NOT NULL,
				  `last_login` varchar(255) collate latin1_german2_ci NOT NULL,
				  `points` int(11) NOT NULL,
				  `level` enum('0','1','2','3','4','5','6','7','8') collate latin1_german2_ci NOT NULL default '0',
				  PRIMARY KEY  (`uid`)
				) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=1;		
				";			
			break;
			
			
			case 12:
			$qStr = "					
				CREATE TABLE $tablename (
				  `ipn_id` int(11) NOT NULL auto_increment,
				  `txn_id` varchar(255) collate latin1_german2_ci NOT NULL,
				  `security_token` varchar(255) collate latin1_german2_ci NOT NULL,
				  `who` varchar(255) collate latin1_german2_ci NOT NULL,
				  `status` varchar(255) collate latin1_german2_ci NOT NULL,
				  `tstamp` varchar(70) collate latin1_german2_ci NOT NULL,
				  PRIMARY KEY  (`ipn_id`)
				) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci AUTO_INCREMENT=1
			";
			break;
			
			
			
			case 13:
			$qStr = "									
				CREATE TABLE $tablename (
				  `mid` int(11) NOT NULL,
				  `title` varchar(255) collate latin1_german2_ci NOT NULL,
				  `listings_db` varchar(255) collate latin1_german2_ci NOT NULL,
				  `cat_db` varchar(255) collate latin1_german2_ci NOT NULL,
				  `image_url` varchar(255) collate latin1_german2_ci NOT NULL,
				  `image_path` varchar(255) collate latin1_german2_ci NOT NULL,
				  `status` enum('0','1','2') collate latin1_german2_ci NOT NULL default '1',
				  PRIMARY KEY  (`mid`)
				) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci;			
			";
			break;
		
		}
	
	mysql_query($qStr);
	}
}




function fill_tables($TABLES){

		foreach($TABLES as $k => $tablename){
		
			switch($k){
				case 0:
					$qStr = "
						INSERT INTO $tablename (`id`, `mode`, `fee`, `design`, `site_title`, `site_www`, `site_email`, `site_curr_sym`, 
						`site_curr_name`, `paypal_email`, `paypal_curr`, `thumb_width`, `max_img_width`, `install_secured`, `minimum_points`, 
						`listingPointAmount`, `points_rate`, `language`, `google_maps`, `google_analytics`) VALUES
						(1, '0', 0, 'DEFAULT_BLUE', 'YOUR SITE TITLE', 'Your website url', 'your@email.com', '$', 'US Dollar', 
						'your@email.com', 'USD', 100, 610, '0', 2, 1, '0.01', 'en_US', '', '')
					";
					$type = 1;
				break;

				
				case 1:
					$qStr = "
						INSERT INTO $tablename (`ad_id`, `ad_space`, `customer`, `banner_img`, `banner_url`, `valid_from`, `valid_to`, `level`) VALUES
						(1, 1, 'Neuber-Web-Solutions', 'banner1.gif', 'http://www.neuber-web-solutions.de', '16 May 2010', '17 May 2010', '1'),
						(2, 2, 'Ebay', 'banner2.gif', 'http://www.ebay.com', '01 May 2010', '01 Jun 2014', '1'),
						(3, 3, 'Sarah Neuber', 'banner3.gif', 'http://www.sarah-neuber.de', '01 Jun 2010', '23 Jun 2010', '2'),
						(4, 4, 'Themeforest', 'banner4.gif', 'http://themeforest.net/', '01 Dec 1999', '16 Jun 2000', '0'),
						(5, 5, 'Rewe', 'banner5.gif', 'http://www.rewe.de/', '01 Dec 1999', '30 Jun 2000', '0');
					";
					$type = 1;				
				break;
			
			
				case 2:
					$qStr = "
					INSERT INTO $tablename VALUES (1, 'the_local_area', 1, 19, 'AAA3', 'Looks good ', 'ferrari1_56za9.jpg', 
					'ferrari2_h6s3y.jpg', 'porsche2_5pepb.jpg', 'Very fast ', '1000', '2006', '360', 'Petrol', '10000', '2187088317', '3')
					";
					$type = 1;
				break;



				
				case 3:
					$qStr = "
						INSERT INTO $tablename VALUES (1, 'Acura', '2')#
						INSERT INTO $tablename VALUES (2, 'Alfa Romeo', '2')#
						INSERT INTO $tablename VALUES (3, 'AMC', '2')#
						INSERT INTO $tablename VALUES (4, 'Aston Martin', '2')#
						INSERT INTO $tablename VALUES (5, 'Audi', '2')#
						INSERT INTO $tablename VALUES (6, 'Avanti', '2')#
						INSERT INTO $tablename VALUES (7, 'Bentley', '2')#
						INSERT INTO $tablename VALUES (8, 'BMW', '2')#
						INSERT INTO $tablename VALUES (9, 'Buick', '2')#
						INSERT INTO $tablename VALUES (10, 'Cadillac', '2')#
						INSERT INTO $tablename VALUES (11, 'Chevrolet', '2')#
						INSERT INTO $tablename VALUES (12, 'Chrysler', '2')#
						INSERT INTO $tablename VALUES (13, 'Daewoo', '2')#
						INSERT INTO $tablename VALUES (14, 'Daihatsu', '2')#
						INSERT INTO $tablename VALUES (15, 'Datsun', '2')#
						INSERT INTO $tablename VALUES (16, 'DeLorean', '2')#
						INSERT INTO $tablename VALUES (17, 'Dodge', '2')#
						INSERT INTO $tablename VALUES (18, 'Eagle', '2')#
						INSERT INTO $tablename VALUES (19, 'Ferrari', '2')#
						INSERT INTO $tablename VALUES (20, 'Fiat', '2')#
						INSERT INTO $tablename VALUES (21, 'Ford', '2')#
						INSERT INTO $tablename VALUES (22, 'Geo', '2')#
						INSERT INTO $tablename VALUES (23, 'GMC', '2')#
						INSERT INTO $tablename VALUES (24, 'Honda', '2')#
						INSERT INTO $tablename VALUES (25, 'Hummer', '2')#
						INSERT INTO $tablename VALUES (26, 'Hyundai', '2')#
						INSERT INTO $tablename VALUES (27, 'Infiniti', '2')#
						INSERT INTO $tablename VALUES (28, 'Isuzu', '2')#
						INSERT INTO $tablename VALUES (29, 'Jaguar', '2')#
						INSERT INTO $tablename VALUES (30, 'Jeep', '2')#
						INSERT INTO $tablename VALUES (31, 'Kia', '2')#
						INSERT INTO $tablename VALUES (32, 'Lamborghini', '2')#
						INSERT INTO $tablename VALUES (33, 'Lancia', '2')#
						INSERT INTO $tablename VALUES (34, 'Land Rover', '2')#
						INSERT INTO $tablename VALUES (35, 'Lexus', '2')#
						INSERT INTO $tablename VALUES (36, 'Lincoln', '2')#
						INSERT INTO $tablename VALUES (37, 'Lotus', '2')#
						INSERT INTO $tablename VALUES (38, 'Maserati', '2')#
						INSERT INTO $tablename VALUES (39, 'Maybach', '2')#
						INSERT INTO $tablename VALUES (40, 'Mazda', '2')#
						INSERT INTO $tablename VALUES (41, 'Mercedes-Benz', '2')#
						INSERT INTO $tablename VALUES (42, 'Mercury', '2')#
						INSERT INTO $tablename VALUES (43, 'Merkur', '2')#
						INSERT INTO $tablename VALUES (44, 'MINI', '2')#
						INSERT INTO $tablename VALUES (45, 'Mitsubishi', '2')#
						INSERT INTO $tablename VALUES (46, 'Nissan', '2')#
						INSERT INTO $tablename VALUES (47, 'Oldsmobile', '2')#
						INSERT INTO $tablename VALUES (48, 'Peugeot', '2')#
						INSERT INTO $tablename VALUES (49, 'Plymouth', '2')#
						INSERT INTO $tablename VALUES (50, 'Pontiac', '2')#
						INSERT INTO $tablename VALUES (51, 'Porsche', '2')#
						INSERT INTO $tablename VALUES (52, 'Renault', '2')#
						INSERT INTO $tablename VALUES (53, 'Rolls-Royce', '2')#
						INSERT INTO $tablename VALUES (54, 'Saab', '2')#
						INSERT INTO $tablename VALUES (55, 'Saturn', '2')#
						INSERT INTO $tablename VALUES (56, 'Scion', '2')#
						INSERT INTO $tablename VALUES (57, 'Sterling', '2')#
						INSERT INTO $tablename VALUES (58, 'Subaru', '2')#
						INSERT INTO $tablename VALUES (59, 'Suzuki', '2')#
						INSERT INTO $tablename VALUES (60, 'Toyota', '2')#
						INSERT INTO $tablename VALUES (61, 'Triumph', '2')#
						INSERT INTO $tablename VALUES (62, 'Volkswagen', '2')#
						INSERT INTO $tablename VALUES (63, 'Volvo', '2')#
						INSERT INTO $tablename VALUES (64, 'Yugo', '2')#
						INSERT INTO $tablename VALUES (66, 'Skoda', '2')	
					";
					$type = 2;
				break;
				

				case 4:
					$qStr = "
						INSERT INTO $tablename VALUES (1, 'Houses to buy', '2')#
						INSERT INTO $tablename VALUES (2, 'Apartments to buy', '2')#
						INSERT INTO $tablename VALUES (3, 'Houses to rent', '2')#
						INSERT INTO $tablename VALUES (4, 'Apartments to rent', '2')			
					";
					$type = 2;
				break;		
				
				
				case 5:
					$qStr = "
						INSERT INTO $tablename VALUES (1, 'Antiques', '2')#
						INSERT INTO $tablename VALUES (2, 'Art', '2')#
						INSERT INTO $tablename VALUES (3, 'Baby', '2')#
						INSERT INTO $tablename VALUES (4, 'Books', '2')#
						INSERT INTO $tablename VALUES (5, 'Business', '2')#
						INSERT INTO $tablename VALUES (6, 'Cameras', '2')#
						INSERT INTO $tablename VALUES (7, 'Clothing', '2')#
						INSERT INTO $tablename VALUES (8, 'Coins', '2')#
						INSERT INTO $tablename VALUES (9, 'Collectibles', '2')#
						INSERT INTO $tablename VALUES (10, 'Computers', '2')#
						INSERT INTO $tablename VALUES (11, 'Consumer Electronics', '2')#
						INSERT INTO $tablename VALUES (12, 'Crafts', '2')#
						INSERT INTO $tablename VALUES (31, 'Beauty', '2')#
						INSERT INTO $tablename VALUES (14, 'DVDs', '2')#
						INSERT INTO $tablename VALUES (15, 'Memorabilia', '2')#
						INSERT INTO $tablename VALUES (16, 'Gift Certificates', '2')#
						INSERT INTO $tablename VALUES (17, 'Health', '2')#
						INSERT INTO $tablename VALUES (18, 'Garden', '2')#
						INSERT INTO $tablename VALUES (19, 'Jewelry', '2')#
						INSERT INTO $tablename VALUES (20, 'Music', '2')#
						INSERT INTO $tablename VALUES (21, 'Musical Instruments', '2')#
						INSERT INTO $tablename VALUES (22, 'Pottery', '2')#
						INSERT INTO $tablename VALUES (23, 'Sporting Goods', '2')#
						INSERT INTO $tablename VALUES (24, 'Sports Mem, Cards', '2')#
						INSERT INTO $tablename VALUES (25, 'Stamps', '2')#
						INSERT INTO $tablename VALUES (26, 'Tickets', '2')#
						INSERT INTO $tablename VALUES (27, 'Toys', '2')#
						INSERT INTO $tablename VALUES (28, 'Video Games', '2')#
						INSERT INTO $tablename VALUES (29, 'Everything Else', '3')#
						INSERT INTO $tablename VALUES (30, 'Shoes', '2')#
						INSERT INTO $tablename VALUES (33, 'Watches', '2')#
						INSERT INTO $tablename VALUES (34, 'Glass', '2')#
						INSERT INTO $tablename VALUES (35, 'Hobbies', '2')			
					";
					$type = 2;
				break;		
				
				
				case 6:
					$qStr = "
						INSERT INTO $tablename VALUES ('DEFAULT_BLUE', '1')#
						INSERT INTO $tablename VALUES ('DEFAULT_GREEN', '0')			
					";
					$type = 2;
				break;			
				
				
				case 7:
					$qStr = "
						INSERT INTO $tablename VALUES (1, 'the_local_area', 1, 1,'Apples', 'Very healthy!', 'apples1_e6p2e.jpg', 
						'none', 'none', '5', '2187087040', '3');			
					";
					$type = 1;
				break;	
				
				
				case 8:
					$qStr = "
INSERT INTO $tablename (`sid`, `lstring`, `lvalue`, `language`) VALUES
(1, 'LG_HOME', 'Home', 'en_US'),
(2, 'LG_HOME', 'Start', 'de_DE'),
(3, 'LG_Items', 'Items', 'en_US'),
(4, 'LG_Items', 'Gegenstnde', 'de_DE'),
(5, 'LG_Automobiles', 'Automobiles', 'en_US'),
(6, 'LG_Automobiles', 'Autos', 'de_DE'),
(7, 'LG_Real Estate', 'Real Estate', 'en_US'),
(8, 'LG_Real Estate', 'Immobilien', 'de_DE'),
(9, 'LG_POST YOUR ITEMS HERE', 'POST YOUR ITEMS HERE!', 'en_US'),
(10, 'LG_POST YOUR ITEMS HERE', 'LISTEN SIE HIER!', 'de_DE'),
(11, 'LG_Categories:', 'Categories:', 'en_US'),
(12, 'LG_Categories:', 'Kategorien:', 'de_DE'),
(16, 'LG_Password:', 'Password:', 'en_US'),
(17, 'LG_Password:', 'Passwort:', 'de_DE'),
(18, 'LG_Register', 'Register', 'en_US'),
(19, 'LG_Register', 'Registrieren', 'de_DE'),
(20, 'LG_Contact Us', 'Contact us', 'en_US'),
(21, 'LG_Contact Us', 'Kontaktieren Sie uns', 'de_DE'),
(22, 'LG_Contact the seller by Internet Messenger', 'Contact the seller by Internet Messenger', 'en_US'),
(23, 'LG_Contact the seller by Internet Messenger', 'Kontaktieren Sie den Verkufer per Internet Messenger', 'de_DE'),
(24, 'LG_IM Name', 'Name', 'en_US'),
(25, 'LG_IM Name', 'Name', 'de_DE'),
(26, 'LG_IM Status', 'Status', 'en_US'),
(27, 'LG_IM Status', 'Status', 'de_DE'),
(28, 'LG_Keep in mind:', 'Keep in mind:', 'en_US'),
(29, 'LG_Keep in mind:', 'Beachten Sie:', 'de_DE'),
(30, 'LG_In order to you use a chosen Internet Messenger', 'In order to you use a chosen Internet Messenger, you need to have this Internet messenger also installed on your PC.', 'en_US'),
(31, 'LG_In order to you use a chosen Internet Messenger', 'Um den Verkufer per Internet Messenger zu kontaktieren, mssen Sie selbst ebenfalls diese Internet Messenger Software auf Ihren PC installiert haben.', 'de_DE'),
(32, 'LG_You are logged in as:', 'You are logged in as:', 'en_US'),
(33, 'LG_You are logged in as:', 'Sie sind eingeloggt als:', 'de_DE'),
(36, 'LG_Log out', 'Log out', 'en_US'),
(37, 'LG_Log out', 'Ausloggen', 'de_DE'),
(38, 'LG_Your member area', 'Your member area', 'en_US'),
(39, 'LG_Your member area', 'Ihr Kundenbereich', 'de_DE'),
(40, 'LG_Username:', 'Username:', 'en_US'),
(41, 'LG_Username:', 'Benutzername:', 'de_DE'),
(42, 'LG_Log in', 'Log in', 'en_US'),
(43, 'LG_Log in', 'Einloggen', 'de_DE'),
(44, 'LG_Post your item here:', 'Post your item here:', 'en_US'),
(45, 'LG_Post your item here:', 'Listen Sie Ihren Gegenstand hier:', 'de_DE'),
(46, 'LG_Step 1: Add item & Contact info', 'Step 1: Add item & Contact info', 'en_US'),
(47, 'LG_Step 1: Add item & Contact info', 'Schritt 1: Gegenstand & Kontaktinfos eintragen', 'de_DE'),
(48, 'LG_Your item', 'Your item', 'en_US'),
(49, 'LG_Your item', 'Ihr Gegenstand', 'de_DE'),
(50, 'LG_Category', 'Category', 'en_US'),
(51, 'LG_Category', 'Kategorie', 'de_DE'),
(52, 'LG_Name of item', 'Name of item', 'en_US'),
(53, 'LG_Name of item', 'Name', 'de_DE'),
(54, 'LG_Description', 'Description', 'en_US'),
(55, 'LG_Description', 'Beschreibung', 'de_DE'),
(56, 'LG_Asking price', 'Asking price', 'en_US'),
(57, 'LG_Asking price', 'Verkaufspreis', 'de_DE'),
(58, 'LG_Picture 1', 'Picture 1', 'en_US'),
(59, 'LG_Picture 1', 'Bild 1', 'de_DE'),
(60, 'LG_Picture 2', 'Picture 2', 'en_US'),
(61, 'LG_Picture 2', 'Bild 2', 'de_DE'),
(62, 'LG_Picture 3', 'Picture 3', 'en_US'),
(63, 'LG_Picture 3', 'Bild 3', 'de_DE'),
(64, 'LG_Step 2 : Preview', 'Step 2 : Preview', 'en_US'),
(65, 'LG_Step 2 : Preview', 'Schritt 2 : Vorschau', 'de_DE'),
(66, 'LG_Step 1: Add real estate & Contact info', 'Step 1: Add real estate & Contact info', 'en_US'),
(67, 'LG_Step 1: Add real estate & Contact info', 'Schritt 1: Immobilie & Kontaktinfos eintragen', 'de_DE'),
(68, 'LG_Your object', 'Your object', 'en_US'),
(69, 'LG_Your object', 'Ihr Objekt', 'de_DE'),
(70, 'LG_Title_Realestate', 'Title', 'en_US'),
(71, 'LG_Title_Realestate', 'Titel', 'de_DE'),
(72, 'LG_Size', 'Size', 'en_US'),
(73, 'LG_Size', 'Gre', 'de_DE'),
(74, 'LG_Year built', 'Year built', 'en_US'),
(75, 'LG_Year built', 'Baujahr', 'de_DE'),
(76, 'LG_Bed rooms', 'Bed rooms', 'en_US'),
(77, 'LG_Bed rooms', 'Anzahl Zimmer', 'de_DE'),
(78, 'LG_Car parking', 'Car parking', 'en_US'),
(79, 'LG_Car parking', 'Parken', 'de_DE'),
(80, 'LG_with garage', 'with garage', 'en_US'),
(81, 'LG_with garage', 'Garage vorhanden', 'de_DE'),
(82, 'LG_with carport', 'with carport', 'en_US'),
(83, 'LG_with carport', 'Carport vorhanden', 'de_DE'),
(84, 'LG_no garage or carport', 'no garage or carport', 'en_US'),
(85, 'LG_no garage or carport', 'keine Garage oder Carport', 'de_DE'),
(86, 'LG_price', 'Price', 'en_US'),
(87, 'LG_price', 'Preis', 'de_DE'),
(88, 'LG_Post real estate:', 'Post real estate:', 'en_US'),
(89, 'LG_Post real estate:', 'Listen Sie Ihre Immobilie:', 'de_DE'),
(90, 'LG_Post an automobile', 'Post an automobile', 'en_US'),
(91, 'LG_Post an automobile', 'Tragen Sie Ihr Kraftfahrzeug ein', 'de_DE'),
(92, 'LG_Step 1: Add automobile & Contact info', 'Step 1: Add automobile & Contact info', 'en_US'),
(93, 'LG_Step 1: Add automobile & Contact info', 'Schritt 1: Kraftfahrzeug & Kontaktinfos eintragen', 'de_DE'),
(94, 'LG_Your automobile', 'Your automobile', 'en_US'),
(95, 'LG_Your automobile', 'Ihr Kraftfahrzeug', 'de_DE'),
(96, 'LG_Make of car', 'Make of car', 'en_US'),
(97, 'LG_Make of car', 'Automarke', 'de_DE'),
(98, 'LG_Model', 'Model', 'en_US'),
(99, 'LG_Model', 'Modell', 'de_DE'),
(100, 'LG_Features', 'Features', 'en_US'),
(101, 'LG_Features', 'Beschreibung', 'de_DE'),
(102, 'LG_Extras', 'Extras', 'en_US'),
(103, 'LG_Extras', 'Extras', 'de_DE'),
(104, 'LG_Mileage', 'Mileage', 'en_US'),
(105, 'LG_Mileage', 'Kilometerstand', 'de_DE'),
(106, 'LG_PS', 'PS', 'en_US'),
(107, 'LG_PS', 'PS', 'de_DE'),
(108, 'LG_Fuel', 'Fuel', 'en_US'),
(109, 'LG_Fuel', 'Treibstoff', 'de_DE'),
(110, 'LG_Petrol', 'Petrol', 'en_US'),
(111, 'LG_Petrol', 'Benzin', 'de_DE'),
(112, 'LG_Diesel', 'Diesel', 'en_US'),
(113, 'LG_Diesel', 'Diesel', 'de_DE'),
(114, 'LG_All categories', 'All categories', 'en_US'),
(115, 'LG_All categories', 'Alle Kategorien', 'de_DE'),
(116, 'LG_Find', 'Find', 'en_US'),
(117, 'LG_Find', 'Finden', 'de_DE'),
(118, 'LG_CATEGORY:', 'CATEGORY:', 'en_US'),
(119, 'LG_CATEGORY:', 'KATEGORIE:', 'de_DE'),
(120, 'LG_this category we have no items', 'Sorry - in this category we have no items at the moment.', 'en_US'),
(121, 'LG_this category we have no items', 'Tut uns leid - in dieser Kategorie sind keine Eintrge vorhanden.', 'de_DE'),
(122, 'LG_Would you like to post', 'Would you like to post an item for selling?', 'en_US'),
(123, 'LG_Would you like to post', 'Mchten Sie einen Eintrag vornehmen?', 'de_DE'),
(124, 'LG_Contact the seller by email', 'Contact the seller by email', 'en_US'),
(125, 'LG_Contact the seller by email', 'Kontaktieren Sie den Verkufer per Email', 'de_DE'),
(126, 'LG_Name of seller:', 'Name of seller:', 'en_US'),
(127, 'LG_Name of seller:', 'Name des Verkufers:', 'de_DE'),
(128, 'LG_Its about:', 'Its about:', 'en_US'),
(129, 'LG_Its about:', 'Es geht um...', 'de_DE'),
(130, 'LG_Main Categorie:', 'Main Category:', 'en_US'),
(131, 'LG_Main Categorie:', 'Hauptkategorie:', 'de_DE'),
(132, 'LG_Category:', 'Category:', 'en_US'),
(133, 'LG_Category:', 'Kategorie:', 'de_DE'),
(134, 'LG_Title:', 'Title:', 'en_US'),
(135, 'LG_Title:', 'Titel:', 'de_DE'),
(136, 'LG_Art.No.:', 'Art.No.:', 'en_US'),
(137, 'LG_Art.No.:', 'Art.Nr.:', 'de_DE'),
(138, 'LG_Question/Message:', 'Question/Message:', 'en_US'),
(139, 'LG_Question/Message:', 'Frage/Nachricht:', 'de_DE'),
(140, 'LG_Your name:', 'Your name:', 'en_US'),
(141, 'LG_Your name:', 'Ihr Name:', 'de_DE'),
(142, 'LG_Your email:', 'Your email:', 'en_US'),
(143, 'LG_Your email:', 'Ihre Email:', 'de_DE'),
(144, 'LG_Send Email', 'Send Email', 'en_US'),
(145, 'LG_Send Email', 'Email absenden', 'de_DE'),
(146, 'LG_Email to seller was sent.', 'Email to seller was sent.', 'en_US'),
(147, 'LG_Email to seller was sent.', 'Email zum Verkufer wurde versandt.', 'de_DE'),
(148, 'LG_DETAILS:', 'DETAILS:', 'en_US'),
(149, 'LG_DETAILS:', 'DETAILS:', 'de_DE'),
(150, 'LG_Thank you 4 Your Message', 'Thank you 4 Your Message', 'en_US'),
(151, 'LG_Thank you 4 Your Message', 'Vielen Dank fr Ihre Nachricht', 'de_DE'),
(152, 'LG_Please enter ALL of the information', 'Please enter ALL of the information!', 'en_US'),
(153, 'LG_Please enter ALL of the information', 'Bitte geben Sie ALLE informationen ein!', 'de_DE'),
(154, 'LG_Please try again', 'Please try again!', 'en_US'),
(155, 'LG_Please try again', 'Versuchen Sie es nochmals!', 'de_DE'),
(156, 'LG_Click here', 'Click here', 'en_US'),
(157, 'LG_Click here', 'Klicken Sie hier', 'de_DE'),
(158, 'LG_Please correct your email address', 'Please correct your email address!', 'en_US'),
(159, 'LG_Please correct your email address', 'Bitte korrigieren Sie Ihre Email-Adresse!', 'de_DE'),
(160, 'LG_Please visit', 'Please visit', 'en_US'),
(161, 'LG_Please visit', 'Besuchen Sie', 'de_DE'),
(162, 'LG_You received a message', 'You received a message', 'en_US'),
(163, 'LG_You received a message', 'Sie haben eine Nachricht erhalten', 'de_DE'),
(164, 'LG_Thank you very much for your message', 'Thank you very much for your message!', 'en_US'),
(165, 'LG_Thank you very much for your message', 'Vielen Dank fr Ihre Nachricht!', 'de_DE'),
(166, 'LG_We will contact you as soon as possible', 'We will contact you as soon as possible.', 'en_US'),
(167, 'LG_We will contact you as soon as possible', 'Wir werden uns so bald wie mglich mit Ihnen in Verbindung setzen.', 'de_DE'),
(168, 'LG_To return please click here', 'To return please click here', 'en_US'),
(169, 'LG_To return please click here', 'Um zurckzukehren klicken Sie bitte hier', 'de_DE'),
(170, 'LG_Choose:', 'Choose:', 'en_US'),
(171, 'LG_Choose:', 'Whlen Sie:', 'de_DE'),
(172, 'LG_Your profile', 'Your profile', 'en_US'),
(173, 'LG_Your profile', 'Ihr Profil', 'de_DE'),
(174, 'LG_Your balance', 'Your balance', 'en_US'),
(175, 'LG_Your balance', 'Ihr Kontostand', 'de_DE'),
(176, 'LG_Your listings', 'Your listings', 'en_US'),
(177, 'LG_Your listings', 'Ihre Eintrge', 'de_DE'),
(178, 'LG_Your Member-Area : Profile', 'Your Member-Area : Profile', 'en_US'),
(179, 'LG_Your Member-Area : Profile', 'Ihr Kundenbereich : Profil', 'de_DE'),
(180, 'LG_Your profile was updated', 'Your profile was updated.', 'en_US'),
(181, 'LG_Your profile was updated', 'Ihr Profil wurde aktualisiert.', 'de_DE'),
(182, 'LG_Contact information:', 'Contact information:', 'en_US'),
(183, 'LG_Contact information:', 'Kontaktinformation:', 'de_DE'),
(184, 'LG_Firstname:', 'Firstname:', 'en_US'),
(185, 'LG_Firstname:', 'Vorname:', 'de_DE'),
(186, 'LG_Lastname:', 'Lastname:', 'en_US'),
(187, 'LG_Lastname:', 'Nachname:', 'de_DE'),
(188, 'LG_Email:', 'Email:', 'en_US'),
(189, 'LG_Email:', 'Email:', 'de_DE'),
(190, 'LG_Telephone:', 'Telephone:', 'en_US'),
(191, 'LG_Telephone:', 'Telefon:', 'de_DE'),
(192, 'LG_Skype:', 'Skype:', 'en_US'),
(193, 'LG_Skype:', 'Skype:', 'de_DE'),
(194, 'LG_Msn-Messenger:', 'Msn-Messenger:', 'en_US'),
(195, 'LG_Msn-Messenger:', 'Msn-Messenger:', 'de_DE'),
(196, 'LG_Yahoo-Messenger:', 'Yahoo-Messenger:', 'en_US'),
(197, 'LG_Yahoo-Messenger:', 'Yahoo-Messenger:', 'de_DE'),
(198, 'LG_Address:', 'Address:', 'en_US'),
(199, 'LG_Address:', 'Adresse:', 'de_DE'),
(200, 'LG_Street:', 'Street:', 'en_US'),
(201, 'LG_Street:', 'Strae:', 'de_DE'),
(202, 'LG_Zip:', 'Zip:', 'en_US'),
(203, 'LG_Zip:', 'Plz:', 'de_DE'),
(204, 'LG_Town:', 'Town:', 'en_US'),
(205, 'LG_Town:', 'Ort:', 'de_DE'),
(206, 'LG_State/province:', 'State/province:', 'en_US'),
(207, 'LG_State/province:', 'Bundesland:', 'de_DE'),
(208, 'LG_Country:', 'Country:', 'en_US'),
(209, 'LG_Country:', 'Land:', 'de_DE'),
(210, 'LG_Submit', 'Submit', 'en_US'),
(211, 'LG_Submit', 'Absenden', 'de_DE'),
(212, 'LG_Your Member-Area : Balance', 'Your Member-Area : Balance', 'en_US'),
(213, 'LG_Your Member-Area : Balance', 'Ihr Kundenbereich : Kontostand', 'de_DE'),
(214, 'LG_Current balance:', 'Current balance:', 'en_US'),
(215, 'LG_Current balance:', 'Momentaner Stand:', 'de_DE'),
(216, 'LG_points', 'points', 'en_US'),
(217, 'LG_points', 'Punkte', 'de_DE'),
(218, 'LG_Add more points to your account:', 'Add more points to your account:', 'en_US'),
(219, 'LG_Add more points to your account:', 'Fgen Sie Ihrem Konto neue Punkte hinzu:', 'de_DE'),
(220, 'LG_Add more points to your account:', 'Add more points to your account:', 'en_US'),
(221, 'LG_Add more points to your account:', 'Fgen Sie Ihrem Konto neue Punkte hinzu:', 'de_DE'),
(222, 'LG_Add more points to your account:', 'Add more points to your account:', 'en_US'),
(223, 'LG_Add more points to your account:', 'Fgen Sie Ihrem Konto neue Punkte hinzu:', 'de_DE'),
(224, 'LG_Add more points to your account:', 'Add more points to your account:', 'en_US'),
(225, 'LG_Add more points to your account:', 'Fgen Sie Ihrem Konto neue Punkte hinzu:', 'de_DE'),
(226, 'LG_Your Member-Area : Listings', 'Your Member-Area : Listings', 'en_US'),
(227, 'LG_Your Member-Area : Listings', 'Ihr Kundenbereich : Eintrge', 'de_DE'),
(228, 'LG_not enough points for new listing', 'Sorry! You dont have enough points for a new listing.', 'en_US'),
(229, 'LG_not enough points for new listing', 'Tut uns leid! Ihr Punktestand ist fr einen neuen Eintrag nicht ausreichend.', 'de_DE'),
(230, 'LG_Please refill them', 'Please refill them.', 'en_US'),
(231, 'LG_Please refill them', 'Bitte fllen Sie Ihren Kontostand auf.', 'de_DE'),
(232, 'LG_Listing was added sucessfully', 'Listing was added sucessfully.', 'en_US'),
(233, 'LG_Listing was added sucessfully', 'Erfolg - Ihr Eintrag wurde hinzugefgt.', 'de_DE'),
(234, 'LG_Add a listing', 'Add a listing', 'en_US'),
(235, 'LG_Add a listing', 'Fgen Sie einen neuen Eintrag hinzu', 'de_DE'),
(236, 'LG_Choose', 'Choose', 'en_US'),
(237, 'LG_Choose', 'Auswhlen', 'de_DE'),
(238, 'LG_Your listings:', 'Your listings:', 'en_US'),
(239, 'LG_Your listings:', 'Ihre Eintrge:', 'de_DE'),
(240, 'LG_Items:', 'Items:', 'en_US'),
(241, 'LG_Items:', 'Gegenstnde:', 'de_DE'),
(242, 'LG_Automobiles:', 'Automobiles:', 'en_US'),
(243, 'LG_Automobiles:', 'Kraftfahrzeuge:', 'de_DE'),
(244, 'LG_Real estate:', 'Real estate:', 'en_US'),
(245, 'LG_Real estate:', 'Immobilien:', 'de_DE'),
(246, 'LG_Your Paypal transaction was successful', 'Your Paypal transaction was successful', 'en_US'),
(247, 'LG_Your Paypal transaction was successful', 'Ihre Paypal-Transaktion war erfolgreich', 'de_DE'),
(248, 'LG_Thank you for your payment', 'Thank you for your payment.', 'en_US'),
(249, 'LG_Thank you for your payment', 'Vielen Dank fr Ihre Zahlung.', 'de_DE'),
(250, 'LG_Your transaction has been completed', 'Your transaction has been completed, and a receipt for your purchase has been emailed to you.', 'en_US'),
(251, 'LG_Your transaction has been completed', 'Ihre Transaktion ist abgeschlossen und es wurde ein Beleg fr Zahlung per Email an Sie geschickt. ', 'de_DE'),
(252, 'LG_You may log into your account at www.paypal.com', 'You may log into your account at www.paypal.com/ to view details of this transaction. ', 'en_US'),
(253, 'LG_You may log into your account at www.paypal.com', 'Sie knnen sich in Ihrem Account unter www.paypal.com/de einloggen um weitere Details dieser Transaktion zu sehen.', 'de_DE'),
(254, 'LG_Your Member-Area : Welcome!', 'Your Member-Area : Welcome!', 'en_US'),
(255, 'LG_Your Member-Area : Welcome!', 'Ihr Kundenbereich : Willkommen!', 'de_DE'),
(256, 'LG_Register first', 'For posting either <a href=index.php?cmd=register>register first</a> (which takes only once 5 minutes) <br/>or log in.', 'en_US'),
(257, 'LG_Register first', 'Um einen Eintrag vorzunehmen <a href=index.php?cmd=register>registrieren Sie sich zuerst</a> (was nicht lnger als 5 Minuten dauert) <br/>oder loggen Sie sich ein.', 'de_DE'),
(258, 'LG_Show town on map', 'Show town on map?', 'en_US'),
(259, 'LG_Show town on map', 'Ort auf Karte anzeigen?', 'de_DE'),
(260, 'LG_No', 'No', 'en_US'),
(261, 'LG_No', 'Nein', 'de_DE'),
(262, 'LG_Yes', 'Yes', 'en_US'),
(263, 'LG_Yes', 'Ja', 'de_DE'),
(264, 'LG_Your Google Maps API Key is missing', 'Attention: Your Google Maps API Key is missing!', 'en_US'),
(265, 'LG_Your Google Maps API Key is missing', 'Achtung: Ihr Google Maps API Key is fehlt!', 'de_DE'),
(266, 'LG_Thank you for registering', 'Thank you for registering! You should get an email from us.', 'en_US'),
(267, 'LG_Thank you for registering', 'Vielen Dank fr Ihre Registrierung! Sie sollten nun eine Email von uns erhalten.', 'de_DE'),
(268, 'LG_Please confirm your email address by clicking', 'Please confirm your email address by clicking the confirmation link in this email.', 'en_US'),
(269, 'LG_Please confirm your email address by clicking', 'Bitte besttigen Sie Ihre Email-Adresse durch Anklicken des Besttigungslinks in der Email.', 'de_DE'),
(270, 'LG_Thank you! You can login now and post items.', 'Thank you! You can login now and post items.', 'en_US'),
(271, 'LG_Thank you! You can login now and post items.', 'Vielen Dank! Sie knnen sich nun einloggen und Eintrge listen.', 'de_DE'),
(272, 'LG_Repeat Email:', 'Repeat Email:', 'en_US'),
(273, 'LG_Repeat Email:', 'Email-Wiederholung:', 'de_DE'),
(274, 'LG_Optional information:', 'Optional information:', 'en_US'),
(275, 'LG_Optional information:', 'Freiwillige Angaben:', 'de_DE'),
(276, 'LG_Yes I accept terms', 'Yes-<a class=''disclaimer_checkbox'' href=''index.php?cmd=page&pid=2'' target=''_blank''>  I''ve read and accepted the terms.', 'en_US'),
(277, 'LG_Yes I accept terms', 'Ja - <a class=''disclaimer_checkbox'' href=''index.php?cmd=page&pid=2'' target=''_blank''>  ich habe die AGB gelesen und akzeptiert.', 'de_DE'),
(278, 'LG_at least 6 characters', 'at least 6 characters', 'en_US'),
(279, 'LG_at least 6 characters', 'mindestens 6 Zeichen', 'de_DE'),
(280, 'LG_Register with us', 'Register with us', 'en_US'),
(281, 'LG_Register with us', 'Registrieren Sie sich', 'de_DE'),
(282, 'LG_Search results:', 'Search results:', 'en_US'),
(283, 'LG_Search results:', 'Suchergebnisse:', 'de_DE')			
					";
					$type = 1;
				break;	
				
				case 9:
					$qStr = "
						INSERT INTO $tablename VALUES (1, 'the_local_area', 1, 1, 'Nice house ', 'Its actually a castle', 
						'neuschwanstein1_juutq.jpg', 'none', 'none', '1000', '1860', '20', 'with garage', '10000', '2187088954', '3');			
					";
					$type = 1;
				break;

				
				case 10:
					$qStr = "
						INSERT INTO $tablename  (`pid`, `title`, `content`, `meta_keywords`, `meta_description`, `hidden`, `level`) VALUES
						(1, 'Disclaimer', '<h2>Disclaimer:</h2>', '', '', '0', '0'),
						(2, 'Terms', '<h2>Terms</h2>', '', '', '0', '0'),
						(3, 'FAQ', '<h2>FAQ</h2>', '', '', '0', '0'),
						(4, 'About us', '<h2>About us</h2>', '', '', '0', '0'),
						(5, 'Advertisement', '<h2>Why you should advertise with us</h2>', '', '', '0', '0'),
						(6, 'Statistics', '<h2>Statistics</h2>', '', '', '0', '0'),
						(7, 'Locations', '<h2>Locations</h2>We run for different areas in [your area] different websites.', '', '', '0', '0'),
						(8, 'Ad order', '<h2>Ad_Order</h2> -mention some information on how to order banner advertisment here-)', '', '', '1', '0')
					";
					$type = 1;
				break;


				case 11:
					$qStr = "
						INSERT INTO $tablename (`uid`, `uname`, `pword`, `email`, `confirmed`, `fname`, `lname`, `street`, `town`, `zip`, 
						`state`, `country`, `google_maps`, `telephone`, `skype`, `msn`, `yahoo`, `terms`, `user_since`, `last_login`, `points`, 
						`level`) VALUES
						(1, 'user10', 'e10adc3949ba59abbe56e057f20f883e', 'info@beispiel.de', '8fddfd05d360379d97e4795a46a440a0', 'Joe', 
						'Doe', 'Street 1', 'Frankfurt', '12345', 'Example-State', 'GERMANY', '1', '00123456789', 'skype', 'msn', 'yahoo', 
						'1', '1231495580', '1274013618', 39, '1')
					";
					$type = 1;
				break;		

				
				case 12:
				
				
					$type = 3; 
				
				break; 
				
				
				case 13:
					$qStr = "
						INSERT INTO `nwscl_mcat` VALUES(0, 'Items', 'nwscl_items', 'nwscl_cat_things', '/items/', 'items/', '1')#
						INSERT INTO `nwscl_mcat` VALUES(1, 'Automobiles', 'nwscl_automobiles', 'nwscl_cat_auto', '/automobiles/', 'automobiles/', '1')#
						INSERT INTO `nwscl_mcat` VALUES(2, 'Real Estate', 'nwscl_real_estate', 'nwscl_cat_real_estate', '/real_estate/', 'real_estate/', '1')
					";
					$type = 2;
				break;
				
				
				
			}
		
				if($type == 1){
					mysql_query($qStr);
				}
				elseif($type == 2) {
					multi_inserter($qStr);
				}
				else {
				
				}
				
		}

}


function multi_inserter($qStr)
{

	$queries = explode("#",$qStr);
	
	foreach($queries as $v){
		mysql_query($v);
	}
}





function field_error($field_name='') {
	if(!defined('SESSION_STARTED') || $field_name == '') return;
	if(isset($_SESSION['ERROR_FIELD']) && $_SESSION['ERROR_FIELD'] == $field_name) {
		return ' class="wrong"';
	}
}



function show_error($message, $field_name = '') {
	global $_POST;
	if(isset($message) AND $message != '') {

			$_SESSION['nwscl_url'] 			= $_POST['nwscl_url'];
			$_SESSION['database_host'] 		= $_POST['database_host'];
			$_SESSION['database_username'] 	= $_POST['database_username'];
			$_SESSION['database_password'] 	= $_POST['database_password'];
			$_SESSION['database_name'] 		= $_POST['database_name'];
			$_SESSION['table_prefix'] 		= $_POST['table_prefix'];


		$_SESSION['message'] = $message;

		if($field_name != '') {
			$_SESSION['ERROR_FIELD'] = $field_name;
		}
		
		header('Location: index.php');
		exit();
	}
}




function check_db_data()
{
	global $_POST;
	$DB_DATA = array();

		if(!isset($_POST['database_host']) || $_POST['database_host'] == '') {
			show_error('Please enter a database host name', 'database_host');
		} else {
			$DB_DATA[database_host] = $_POST['database_host'];
		}

		if(!isset($_POST['database_username']) || $_POST['database_username'] == '') {
			show_error('Please enter a database username','database_username');
		} else {
			$DB_DATA[database_username] = $_POST['database_username'];
		}

		if(!isset($_POST['database_password'])) {
			show_error('Please enter a database password', 'database_password');
		} else {
			$DB_DATA[database_password] = $_POST['database_password'];
		}

		if(!isset($_POST['database_name']) || $_POST['database_name'] == '') {
			show_error('Please enter a database name', 'database_name');
		} else {

			$_POST['database_name'] = trim($_POST['database_name']);
			if(preg_match('/[^a-z0-9_-]+/i', $_POST['database_name'])) {
				show_error('Only characters a-z, A-Z, 0-9, - and _ allowed in database name.', 'database_name');
			}
			$DB_DATA[database_name] = $_POST['database_name'];
		}
		
return $DB_DATA;
}




function empty_url()
{
	global $_POST;

	if(!isset($_POST['nwscl_url']) OR $_POST['nwscl_url'] == '') {
		show_error('Please enter an absolute URL', 'nwscl_url');
	} else {
		$nwscl_url = $_POST['nwscl_url'];
	}
return $nwscl_url;
}





function adjust_nwscl_url($nwscl_url)
{
	if(substr($nwscl_url, strlen($nwscl_url)-1, 1) == "/") {
		$nwscl_url = substr($nwscl_url, 0, strlen($nwscl_url)-1);
	}
	if(substr($nwscl_url, strlen($nwscl_url)-1, 1) == "\\") {
		$nwscl_url = substr($nwscl_url, 0, strlen($nwscl_url)-1);
	}
	if(substr($nwscl_url, strlen($nwscl_url)-1, 1) == "/") {
		$nwscl_url = substr($nwscl_url, 0, strlen($nwscl_url)-1);
	}
	if(substr($nwscl_url, strlen($nwscl_url)-1, 1) == "\\") {
		$nwscl_url = substr($nwscl_url, 0, strlen($nwscl_url)-1);
	}
return $nwscl_url; 
}




function write_config_file($config_filename,$config_content)
{

	if(file_exists($config_filename) AND is_writable($config_filename)) {
		if(!$handle = fopen($config_filename, 'w')) {
			show_error("Cannot open the configuration file ($config_filename)");
		} else {
			if (fwrite($handle, $config_content) === FALSE) {
				show_error("Cannot write to the configuration file ($config_filename)");
			}
			// Close file
			fclose($handle);
		}
	} else {
		show_error("The configuration file $config_filename is not writable. Change its permissions, then re-run the installation.");
	}

}
?>