<?php
/*
 NWS-Classifieds Project
<http://www.neuber-web-solutions.de/nwsclassifieds/index.php />
 Copyright (C) 2007, Andy Neuber

 NWS-Classifieds is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 NWS-Classifieds is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with NWS-Classifieds; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  -----------------------------------------------------------------------------------------
  This file is based on: 
  (c) 2004-2008 Website Baker Project <http://www.websitebaker.org/>
  - Ryan Djurovich
  Released under the GNU General Public License 
  -----------------------------------------------------------------------------------------
  */
session_start();
include 'functions.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>NWS-Classifieds Installation Wizard</title>
<link href="install.css" rel="stylesheet" type="text/css">
</head>
<body>



<table cellpadding="0" cellspacing="0" border="0" width="750" align="center">
<tr>
	<td class="main_header" align="left">
		NWS-Classifieds Installation Wizard
	</td>
</tr>
</table>

<form name="nwscl_installation_wizard" action="install.php" method="post">
<table cellpadding="0" cellspacing="0" border="0" width="750" align="center" style="margin-top: 10px;">
<tr>
	<td class="content">
	
		<?php
		if(isset($_SESSION['message']) AND $_SESSION['message'] != '') {
			?><div style="width: 700px; padding: 10px; margin-bottom: 5px; border: 1px solid #FF0000; background-color: #FFDBDB;"><b>Error:</b> <?php echo $_SESSION['message']; ?></div><?php
		}
		?>		
		<table cellpadding="3" cellspacing="0" width="100%" align="center">
		<tr>
			<td class="step">Step 1</td>
		</tr>
		<tr>
			<td>Please check the following requirements are met before continuing...</td>
		</tr>
		<tr>
			<td style="color: #666666;">PHP Version = 5.0.0 or higher
			
			&nbsp;&nbsp;&nbsp;&nbsp;
			
				<?php
				$phpversion = substr(PHP_VERSION, 0, 6);
				if($phpversion > 4.9) {
					?><font class="good">Yes</font><?php
				} else {
					?><font class="bad">No</font><?php
				}
				?>
			</td>
		</tr>
		</table>
		
		
		<br/><br/>
		
		
		<table cellpadding="3" cellspacing="0" width="100%" align="center">
		<tr>
			<td class="step">Step 2</td>
		</tr>
		<tr>
			<td>Please check if the following file/folders are writeable before continuing...</td>
		</tr>
	<tr>
			<td>&nbsp;</td>
		</tr>

		<tr>
			<td style="color: #666666;">../config/YOUR_VALUES.php &nbsp;&nbsp;&nbsp;&nbsp;
			<?php if(is_writable('../config/YOUR_VALUES.php')) { echo '<font class="good">OK - Writeable</font>'; } elseif(!file_exists('../config/YOUR_VALUES.php')) { echo '<font class="bad">File Not Found</font>'; } else { echo '<font class="bad">Unwriteable</font>'; } ?></td>
		</tr>

		<tr>			
			<td style="color: #666666;">nwscl/images/automobiles/ &nbsp;&nbsp;&nbsp;&nbsp;			
			<?php if(is_writable('../images/automobiles/')) { 
					echo '<font class="good">OK - Writeable</font>'; 
				} 
				elseif(!file_exists('../images/automobiles/')) { 
						echo '<font class="bad">Directory Not Found</font>'; 
					} 
					else { 
						echo '<font class="bad">Unwriteable</font>'; } ?>
			</td>
		</tr>
		
		<tr>			
			<td style="color: #666666;">nwscl/images/items/ &nbsp;&nbsp;&nbsp;&nbsp;			
			<?php if(is_writable('../images/items/')) { 
					echo '<font class="good">OK - Writeable</font>'; 
				} 
				elseif(!file_exists('../images/items/')) { 
						echo '<font class="bad">Directory Not Found</font>'; 
					} 
					else { 
						echo '<font class="bad">Unwriteable</font>'; } ?>
			</td>
		</tr>

		<tr>			
			<td style="color: #666666;">nwscl/images/real_estate/ &nbsp;&nbsp;&nbsp;&nbsp;			
			<?php if(is_writable('../images/real_estate/')) { 
					echo '<font class="good">OK - Writeable</font>'; 
				} 
				elseif(!file_exists('../images/real_estate/')) { 
						echo '<font class="bad">Directory Not Found</font>'; 
					} 
					else { 
						echo '<font class="bad">Unwriteable</font>'; } ?>
			</td>
		</tr>		
		
		
		
		
		</table>
		
		<br/><br/>
		
		<table cellpadding="3" cellspacing="0" width="100%" align="center">
		<tr>
			<td class="step" colspan="2">Step 3</td>
		</tr>

		<tr>
			<td colspan="2">Please check your path setting...</td>
		</tr>
			<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr>
			<td width="125" style="color: #666666;">
				Absolute URL:
			</td>
			<td>
				<?php
				// Try to guess installation URL
				$suggest_url = 'http://'.$_SERVER["SERVER_NAME"].$_SERVER["SCRIPT_NAME"];
				$suggest_url = rtrim(dirname($suggest_url), 'install');
				?>
				<input <?php echo field_error('nwscl_url');?> type="text" tabindex="1" name="nwscl_url" style="width: 99%;" 
				value="<?php if(isset($_SESSION['nwscl_url'])) { echo $_SESSION['nwscl_url']; } else { echo $suggest_url; } ?>" />
			</td>
		</tr>
		</table>
		
		<br/><br/>
		
		
		<table cellpadding="5" cellspacing="0" width="100%" align="center">
		<tr>
			<td class="step">Step 4</td>
		</tr>
		<tr>
			<td>Please enter your MySQL database details below...</td>
		</tr>
		</table>
		
		
		
		
		
		<table cellpadding="5" cellspacing="0" width="100%" align="center" border="0">
		<tr>
			<td style="color: #666666;" align="right">Host Name:</td>
			<td>
				<input <?php echo field_error('database_host');?> type="text" tabindex="7" name="database_host" style="width: 98%;" value="<?php if(isset($_SESSION['database_host'])) { echo $_SESSION['database_host']; } else { echo 'localhost'; } ?>" />
			</td>
		</tr>

		<tr>
			<td style="color: #666666;" align="right">Username:</td>
			<td>
				<input <?php echo field_error('database_username');?> type="text" tabindex="8" name="database_username" style="width: 98%;" value="<?php if(isset($_SESSION['database_username'])) { echo $_SESSION['database_username']; } else { echo 'root'; } ?>" />
			</td>
		</tr>
		<tr>
			<td style="color: #666666;" align="right">Password:</td>
			<td>
				<input type="password" tabindex="9" name="database_password" style="width: 98%;"<?php if(isset($_SESSION['database_password'])) { echo ' value = "'.$_SESSION['database_password'].'"'; } ?> />
			</td>		
		</tr>
		<tr>
			<td style="color: #666666;" align="right">Database Name:</td>
			<td>
				<input <?php echo field_error('database_name');?> type="text" tabindex="10" name="database_name" style="width: 98%;" value="<?php if(isset($_SESSION['database_name'])) { echo $_SESSION['database_name']; } else { echo 'nwscl'; } ?>" />
			</td>
		</tr>
		<tr>
			<td style="color: #666666;" align="right">Create this database:</td>
			<td><input type="checkbox" tabindex="11" name="create_database"  value="1" /> Yes</td>	
		</tr>


		<tr>
			<td colspan="5" style="padding: 10px; padding-bottom: 0;"><h1 style="font-size: 0px;">&nbsp;</h1></td>
		</tr>
		<tr>
			<td colspan="5" style="padding: 10px; padding-bottom: 0;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="4">
				<table cellpadding="0" cellspacing="0" width="100%" border="0">
				<tr valign="top">
					<td>Please note: &nbsp;</td>
					<td style="font-size: 10px;">
						NWS-Classifieds is released under the 
						<a href="http://www.gnu.org/licenses/gpl.html" target="_blank" tabindex="19">GNU General Public License</a>
						<br />
						By clicking install, you are accepting the license.
					</td>
				</tr>
				</table>
			</td>
			<td colspan="1" align="right">
				&nbsp;
			</td>
		</tr>
		<tr>
			<td colspan="5" style="padding: 10px; padding-bottom: 0;">&nbsp;</td>
		</tr>
		
		<tr>
			<td colspan="5" align="right">
				<input type="submit" tabindex="20" name="submit" value="Install NWS-Classifieds" class="submit" />
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>

</form>

<table cellpadding="0" cellspacing="0" border="0" width="100%" style="padding: 10px 0px 10px 0px;">
<tr>
	<td align="center" style="font-size: 10px;">
		<!-- Please note: the below reference to the GNU GPL should not be removed, as it provides a link for users to read about warranty, etc. -->
		<a href="http://www.neuber-web-solutions.de/index.php?id=323&L=1" style="color: #000000;" target="_blank">NWS-Classifieds</a>
		is	released under the
		<a href="http://www.gnu.org/licenses/gpl.html" style="color: #000000;" target="_blank">GNU General Public License</a>
		<!-- Please note: the above reference to the GNU GPL should not be removed, as it provides a link for users to read about warranty, etc. -->
	</td>
</tr>
</table>

</body>
</html>
