<?php
////////////////////////////////////////////////////////////////////////////////////////
// Class: 		nwscl
// Purpose: 	Executes all actions of NWS-Classifieds
///////////////////////////////////////////////////////////////////////////////////////


class nwscl {


	function install_secured($iDirPath,$yVPath){
		
		$feedback 	= array();
		$error 		= 0;	
		$msg		= NULL;
		$qStr 		= "SELECT * FROM nwscl_admin LIMIT 1";	
		$res 		= mysql_query($qStr);
		$row 		= mysql_fetch_assoc($res);
		
		
		// Secure installation status still on 0  = we check again 
		if($row[install_secured] == '0'){	
			
			# 1. Install Dir still there? 
			if(is_dir($iDirPath)){
				$error = 1;
				$msg .= "Installation Directory ../install/ is still there - please remove it immediately.<br/>";
			}
				
			# 2. YOUR_VALUES.php still writable? 
			if(is_writable($yVPath)){
				$error = 1;
				$msg .= "YOUR_VALUES.php in directory ../config/ is still writable - please change this now.";
			}
			
			#3. Secured admin area with .htaccess ? 
			
			# 4. Ok ,no errors - lets change value in db - admin table
			if($error == 0){
			$qStr 	= "UPDATE nwscl_admin SET install_secured = '1'";				
			$res 	= mysql_query($qStr);		
			}
		}	
		
		$feedback[error]	= $error;
		$feedback[msg]		= $msg; 
	
	return $feedback; 
	}
	


	
	function list_pages($option = 1)
	{
		switch($option){
			
			case 1:
				$qStr 	= "SELECT * FROM nwscl_pages ORDER BY title";
			break;
			
			case 2:
				$qStr 	= "SELECT * FROM nwscl_pages WHERE hidden = '0' ORDER BY title";
			break;
		}
		$res 	= mysql_query($qStr);
		
	return $res; 	
	}	
	
	
	
	function getPage($pid)
	{
		if(!empty($pid)){
			$pid 	= (int) $pid;
			$qStr 	= "SELECT * FROM nwscl_pages WHERE pid = $pid LIMIT 0,1";
			$res 	= mysql_query($qStr);	
			$row	= mysql_fetch_assoc($res);
		}
		
	return $row;
	}
	
	
	
	function savePage(){
	
		$table_name 		= 'nwscl_pages';
		$column_value_array	= array();
		$where_conditions 	= array();
	
		$column_value_array[title] 		= $_POST[title];
		$column_value_array[content] 	= $_POST[content];		
		$where_conditions[0] 			= "pid = $_GET[pid]";
	
		$result = db::update_multi_col($table_name, $column_value_array, $where_conditions);
		header("Location: document_manager.php?pid=$_GET[pid]&action=change");
		exit(NULL);
	}
	
	
	
	function newPage(){
	
		$table_name 		= 'nwscl_pages';		
		$column_array 		= array();
		$value_array		= array();
	
		$column_array[0] = 'title'; 			$value_array[0] = $_POST['title'];
		$column_array[1] = 'content'; 			$value_array[1] = $_POST['content'];
		$column_array[2] = 'meta_keywords'; 	$value_array[2] = $_POST['meta_keywords'];
		$column_array[3] = 'meta_description'; 	$value_array[3] = $_POST['meta_description'];
		
		$result = db::insert($table_name,$column_array,$value_array);
	
		header('Location: document_manager.php?success=1');
	}
	
	
	function deletePage($pid){
	
		$table_name 	= 'nwscl_pages';		
		$pid			= (int) $pid;
		$where_clause	= "pid = $pid";
		$result 		= db::delete_specific($table_name,$where_clause);
	
		header('Location: document_manager.php?success=2');
	}



// User registration 
	 function register_user()
	 {
	 global $CONFIG;
	 
	 $feedback 			= array();
	 $feedback['error']	= NULL;
	 
	 $eLabel 			= array();
	 $eLabel[uname]		= 'Username';
	 $eLabel[pword]		= 'Password';
	 $eLabel[email1]	= 'Email';
	 $eLabel[email2]	= 'Repetition of email';
	 $eLabel[fname]		= 'Firstname';
	 $eLabel[lname]		= 'Lastname';
	 $eLabel[street]	= 'Street';	 
	 $eLabel[town]		= 'Town';
	 $eLabel[zip]		= 'Zip';
	 $eLabel[state]		= 'State';	 	 
	 $eLabel[country]	= 'Country';

	 $error 			= false;
	 
		// Clean Post data 
		$_POST = $this->clean_data($_POST);
	 
		// validate  - anything empty?
		 foreach($_POST as $k => $v)
		 {
			$len = strlen($v);
			if(($len == 0) && ($k != 'telephone') && ($k != 'skype') && ($k != 'msn') && ($k != 'yahoo')  )
			{
				$error = true;
				$feedback['error'] .= "Field ". $eLabel[$k] . " is empty. <br/>";
			}
		 }
	 	 
		// uname unique?
		$qStr 				="SELECT uid FROM $CONFIG[db_user_table] WHERE uname = '$_POST[uname]'";	
		$result 			= mysql_query($qStr);
		$num 				= mysql_num_rows($result);
		if($num > 0)
		{
			$error = true; 
			$feedback['error'] .= "The username is already taken - choose another one. <br/>";
		}

		// uname long enough? 
		$uname_len = strlen($_POST[uname]);
		if($uname_len < 6){
			$error = true; 
			$feedback['error'] .= "The username is too short.<br/>";			
		}

		// pword long enough? 
		$pword_len = strlen($_POST[pword]); 
		if($pword_len < 6){
			$error = true; 
			$feedback['error'] .= "The password is too short.<br/>";			
		}	

		// email1 ok?
		if($this->validate_email($_POST[email1]) === FALSE){
			$error = true; 
			$feedback['error'] .= "The email format is not correct.<br/>";					
		}

		// email2 ok?
		if($this->validate_email($_POST[email2]) === FALSE){
			$error = true; 
			$feedback['error'] .= "The format email repetition is not correct.<br/>";					
		}		
		
		// email1 + email2 the same?
		if($_POST[email1] != $_POST[email2]){
			$error = true; 
			$feedback['error'] .= "The email and repetition of email don't correspond.<br/>";					
		}		

		// firstname no numbers in string?
		if($this->string_no_numbers($_POST[fname]) === FALSE){
			$error = true; 
			$feedback['error'] .= "The first name cannot contain numbers.<br/>";					
		}
		
		// lastname no numbers in string?
		if($this->string_no_numbers($_POST[lname]) === FALSE){
			$error = true; 
			$feedback['error'] .= "The last name cannot contain numbers.<br/>";					
		}		
		
		
		// Terms
		if ($_POST[AGB] != 'on'){
     		$error = true; 
			$feedback['error'] .= "The terms need to be accepted to continue.<br/>";
		}
	 
		 // insert in db	 
		 if($error == false)
		 {
		 $column_array 		= array();
		 $value_array		= array();	
		 $m_since 			= time();
		 
		$column_array[0] = 'uid'; 				$value_array[0]	= '';
		$column_array[1] = 'uname'; 			$value_array[1]	= "$_POST[uname]";
		$column_array[2] = 'pword'; 			$value_array[2]	= md5($_POST[pword]);
		$column_array[3] = 'email'; 			$value_array[3]	= "$_POST[email1]";
		$column_array[4] = 'user_since'; 		$value_array[4]	= $m_since;
		$column_array[5] = 'confirmed'; 		$value_array[5]	= md5($m_since);
		$column_array[6] = 'fname'; 			$value_array[6]	= "$_POST[fname]";
		$column_array[7] = 'lname'; 			$value_array[7]	= "$_POST[lname]";
		$column_array[8] = 'street'; 			$value_array[8]	= "$_POST[street]";
		$column_array[9] = 'town'; 				$value_array[9]	= "$_POST[town]";
		$column_array[10] = 'zip'; 				$value_array[10]	= "$_POST[zip]";
		$column_array[11] = 'state'; 			$value_array[11]	= "$_POST[state]";
		$column_array[12] = 'country'; 			$value_array[12]	= "$_POST[country]";
		$column_array[13] = 'telephone'; 		$value_array[13]	= "$_POST[telephone]";
		$column_array[14] = 'skype'; 			$value_array[14]	= "$_POST[skype]";
		$column_array[15] = 'msn'; 				$value_array[15]	= "$_POST[msn]";		 
		$column_array[16] = 'yahoo'; 			$value_array[16]	= "$_POST[yahoo]";			 
		$column_array[17] = 'terms'; 			$value_array[17]	= '1';		 
		$column_array[18] = 'points'; 			$value_array[18]	= 10;
		  
		$ok = db::insert($CONFIG[db_user_table],$column_array,$value_array);
	 
	 
		// sent an email 
		$to			= $_POST[email1];
		$site		= substr("$CONFIG[domain]",7);     
		$site		= $CONFIG[site_title];   
		$subject	= 'Welcome! Please confirm your email address.';
		$message	= "Welcome at $site ! \r\n \r\n As next, please confirm your email address, by clicking on this link: ";
		$message	.= " \r\n \r\n http://{$CONFIG[domain]}/index.php?cmd=register&confirm=1&cfid={$value_array[5]}";			 
		$message	.= " \r\n \r\n Thank you!";		
		$done 		= email::text_mail($to,$subject,$message,$CONFIG[ADMIN_EMAIL_ADDRESS],$site);
		}
	
	 
		$feedback[status] = ($error == false ? 1 : 0);
	 
	 return  $feedback;
	 }
	


	
	 
	 function confirm_mail($db_user_table)
	 {
		global $CONFIG;
	 
	 	// md5 hash there?
		$qStr 				= "SELECT uid FROM $db_user_table WHERE confirmed = '$_GET[cfid]'";
		$result 			= mysql_query($qStr);
		$num 				= mysql_num_rows($result);
		
		
		if($num == 1)
		{
			$column_value_array = array();
			$where_conditions	= array();
			
			$sql_string = 'UPDATE ';
			$sql_string .= "$db_user_table ";
	        $sql_string .= "SET level = '1' WHERE confirmed = '$_GET[cfid]'";
         	
       	$result1 = mysql_query("$sql_string") or die (mysql_error());
		}
	  
	 return $result1;
	 }
	

// Login 


	function login($db_user_table)
	{
	
		global $CONFIG; 
		
	  if($_SERVER['REQUEST_METHOD'] == 'POST') {
      $username 	= trim($_POST['uname']);
      $passwort 	= md5(trim($_POST['pw']));
      $this_page	= $_POST['from_page'];
      #$url_param 	= strlen($_POST['url_param']);
      

      if($url_param > 2){
		$this_page = $this_page . '?' . $_POST[url_param];
      }

		if(false !== strstr($this_page, '?')){
                  $sign = '&';
     	}
		else{
                  $sign = '?';
               }


      $hostname 	= $_SERVER['HTTP_HOST'];
      $path 	 	= dirname($_SERVER['PHP_SELF']);

      // Benutzername und Passwort werden &uuml;berpr&uuml;ft
      $where_condition 	= "pword ='$passwort' AND uname ='$username' AND level ='1'";	  
	  $result			= $this->check_login("$db_user_table",$where_condition);	  
      $status			= (int)$result[0];
	  
	  
	  
	  // Credentials allright? - Then user receives some Session values 
      if ($status == 1) {        
       $_SESSION['user_logged'] 	= true;
	   $_SESSION['username']		= $username;
	   $_SESSION['uid']				= $result[1];
	   $now							= time();
       $_SESSION['timeout'] 	  	= $now + 7200; //$CONFIG[login_period];
       $_SESSION['browser'] 		= $this->get_browser_version();
	   

 
       // We update the User table
       $done  = $this->update_last_visit("$db_user_table",'uid', $result[1]);

	  

       // Weiterleitung zur gesch&uuml;tzten Startseite inkl. richtiger Status 303 header
       	if ($_SERVER['SERVER_PROTOCOL'] == 'HTTP/1.1') {
	        if (php_sapi_name() == 'cgi') {
	         header('Status: 303 See Other');
	         }
	        else {
	         header('HTTP/1.1 303 See Other');
	         }
	        }

        		$add = $sign . 'cmd='.$_POST[origin_cmd].'&mid=n11004'; // Kleine Erfolgsmeldung
        }
        else{
        		$add = $sign . 'cmd='.$_POST[origin_cmd].'&mid=e11003'; // "Nicht geklappt" - Meldung
        }


       header('Location: index.php?cmd=memberarea'); 
	   exit(NULL);
       #header('Location: http://'.$hostname.($path == '/' ? '' : $path).'/'.$this_page.$add);	  
      }
	 }
	 
	 	 
	 
	 
	 function update_last_visit($db_table,$where_column,$where_value)
	 {

     $time_now 	= time();
     $done1 	= db::update($db_table, 'last_login', "$time_now", $where_column, $where_value);

     if($done1 == 1)
	 {
     $done = TRUE;
     }

	return $done;
    }	
	
	
	
	
	function get_browser_version($option=1)
	{
		if($option == 0)
		{
		$browser_ver	= strtolower($_SERVER['HTTP_USER_AGENT']); 
		}
		
		if($option == 1)
		{
		$browser_ver	= md5(strtolower($_SERVER['HTTP_USER_AGENT'])); 
		}
	return $browser_ver; 
	}
	
	


	 function check_login($db_table,$where_condition)
	 {
		global $CONFIG;

			$feedback	= array();
			$qStr		= "SELECT * FROM $db_table WHERE $where_condition";
			$result 	= mysql_query($qStr);
			$num 		= mysql_num_rows($result);

	          if($num > 0){
	            $status 		= 1;
	            $row 			= mysql_fetch_assoc($result);
	            $feedback[1] 	= $row[uid];
	          }else{
	            $status = 0;
	          }

          $feedback[0] = $status;

	  return $feedback;
     }
	
	
	
// AUTH 	
	
	public function auth($option=0)
	{
	    $hostname 				= $_SERVER['HTTP_HOST'];
	    $path 					= dirname($_SERVER['PHP_SELF']);
	    $timenow       			= time();
		$browser_ver			= $this->get_browser_version();       
	    $authorized 			= 1;
		$throw_out				= $option;

	     if(!isset($_SESSION['user_logged'])){
	     	$authorized = 0;
	     }

	     if($_SESSION['user_logged'] != true){
	     	$authorized = 0;
	     }

	     if($timenow > $_SESSION['timeout']){
	     	$authorized = 0;
	     }

	     if($_SESSION['browser'] != $browser_ver){
	     	$authorized = 0;
	     }


	     if ($authorized == 0){
			$this->unset_user_session(); 
			
			if($throw_out == 1)
			{
			header('Location: http://'.$hostname.($path == '/' ? '' : $path).'/index.php');
			exit();
			}		   
	      }
	
	return $authorized;
	}	
	
	
	
		
	public function unset_user_session()
	{
		$_SESSION[user_logged] = false;
		unset($_SESSION[username]);
		unset($_SESSION[timeout]);
		unset($_SESSION[browser]);
	}
	
	
	
	
// Balance 

	function points_amounts()
	{
		global $CONFIG;
		
		$qStr				= "SELECT points FROM $CONFIG[db_user_table] WHERE uname = '$_SESSION[username]'";
		$res				= mysql_query($qStr);
		$row 				= mysql_fetch_assoc($res);
		$points				= $row[points];
	
	return $points; 
	}
	
	
	
	function add_points($uid,$points_added)
	{
		global $CONFIG;
		
		// How many now?
		$qStr				= "SELECT points FROM $CONFIG[db_user_table] WHERE uid = $uid";
		$res				= mysql_query($qStr);
		$row 				= mysql_fetch_assoc($res);
		$points				= $row[points];
			
		// We add the new points
		$new_points			= $points + $points_added;
		$qStr 				= "UPDATE $CONFIG[db_user_table] SET points = $new_points WHERE uid = $uid";
		$res 				= mysql_query($qStr);			
		
		header("Location: points_manager.php?success=1&uid=$uid");
		exit();
	return $res; 
	}

	
	
// Logout 


	function logout()
	{	
		$this->unset_user_session();
	
		$hostname 	= $_SERVER['HTTP_HOST'];
		$path 		= dirname($_SERVER['PHP_SELF']);
		#$this_page	= $_POST['origin_cmd'];
		

		header('Location: http://'.$hostname.($path == '/' ? '' : $path).'/'.$this_page);
		exit();
	 }
	
	
	
	
// Listing 


	function activate_listing()
	{	
		$qStr = "UPDATE $_POST[what_table] SET level = '3' WHERE item_ID = $_POST[row_id]";
		mysql_query($qStr);	
		header('Location: index.php?cmd=memberarea&action=3&ldone=1');
		exit(NULL);
	}
	
	
	
	function reducePoints(){
		global $CONFIG;
		
		$current_points = $this->points_amounts();
		$new_points		= $current_points - $CONFIG[listingPointAmount];
		
		$qStr = "UPDATE $CONFIG[db_user_table] SET points = $new_points WHERE uid = $_SESSION[uid]";
		mysql_query($qStr);	
	}


	
	function list_user_listing($dbase)
	{
	
		global $CONFIG;
		
		$qStr 	= "SELECT 
						* 
						FROM 
					$dbase
						WHERE 
					level = '3'				
						AND 
					uid = $_SESSION[uid];
					";
					
		$res 	= mysql_query($qStr);
		
	
	return $res;
	}
	



	function delete_listing($mid,$aid,$url)
	{
		// which db? 
		$qStr 	= "SELECT listings_db FROM nwscl_mcat WHERE mid = $mid LIMIT 1";
		$res 	= mysql_query($qStr);
		$row 	= mysql_fetch_assoc($res);
	
		// the actual deletion 
		$where_clause = "item_ID = $aid";
		db::delete_specific($row[listings_db], $where_clause);
		
		header("Location: $url");
	}


	


// Users

	function find_user($uid)
	{
			$user 	= NULL;
			if(!empty($uid)){
				$qStr 	= "SELECT * FROM nwscl_users WHERE uid = $uid";
				$res 	= mysql_query($qStr);
				$num	= mysql_num_rows($res);
				$user 	= mysql_fetch_assoc($res);
			}
		
	return $user; 	
	}

	
	
	
	
	function update_profile_data()
	{
	global $CONFIG;
	 
		 $feedback 			= array();
		 $feedback['error']	= NULL;
		 
		 $eLabel 			= array();
		 $eLabel[email]		= 'Email';
		 $eLabel[fname]		= 'Firstname';
		 $eLabel[lname]		= 'Lastname';
		 $eLabel[street]	= 'Street';	 
		 $eLabel[town]		= 'Town';
		 $eLabel[zip]		= 'Zip';
		 $eLabel[state]		= 'State';	 	 
		 $eLabel[country]	= 'Country';

		 $error 			= false;
		 
			// Clean Post data 
			$_POST = $this->clean_data($_POST);
		 
			// validate  - anything empty?
			 foreach($_POST as $k => $v)
			 {
				$len = strlen($v);
				if(($len == 0) && ($k != 'telephone') && ($k != 'skype') && ($k != 'msn') && ($k != 'yahoo')  )
				{
					$error = true;
					$feedback['error'] .= "Field ". $eLabel[$k] . " was empty. <br/>";
				}
			 }


			// email ok?
			if($this->validate_email($_POST[email]) === FALSE){
				$error = true; 
				$feedback['error'] .= "The email format was not correct.<br/>";					
			}
	

			// firstname no numbers in string?
			if($this->string_no_numbers($_POST[fname]) === FALSE){
				$error = true; 
				$feedback['error'] .= "The first name cannot contain numbers.<br/>";					
			}
			
			// lastname no numbers in string?
			if($this->string_no_numbers($_POST[lname]) === FALSE){
				$error = true; 
				$feedback['error'] .= "The last name cannot contain numbers.<br/>";					
			}		
			
						
			// everything seems to be ok 
			if($error == false)
			{
				$column_value_array = array();
				$where_conditions	= array();
							
				$column_value_array[email] 		= $_POST[email];
				$column_value_array[fname] 		= $_POST[fname];
				$column_value_array[lname] 		= $_POST[lname];
				$column_value_array[street] 	= $_POST[street];
				$column_value_array[town] 		= $_POST[town];
				$column_value_array[zip] 		= $_POST[zip];
				$column_value_array[state] 		= $_POST[state];
				$column_value_array[country] 	= $_POST[country];		
				$column_value_array[telephone] 	= $_POST[telephone];
				$column_value_array[skype] 		= $_POST[skype];
				$column_value_array[msn] 		= $_POST[msn];
				$column_value_array[yahoo] 		= $_POST[yahoo];
				$column_value_array[google_maps]= $_POST[google_maps];

				$where_conditions[0]			= "uid = $_SESSION[uid]";
				
				db::update_multi_col($CONFIG[db_user_table], $column_value_array, $where_conditions);	
			}
				
			$feedback[status] = ($error == false ? 1 : 0);	
			
		return $feedback;
		}
	
	
	
	
	
// Data validation 

	function clean_data ($_POST){
	     foreach ($_POST as $k => $v) {
			$_POST[$k] = htmlentities(strip_tags(stripslashes($v)));
			$_POST[$k] = addslashes($_POST[$k]);
	     }
     return $_POST;
	}

	
	
	
	function validate_email($email,$option=1){
	
		$valid = FALSE;
		if($option == 2){
				$valid = 'invalid';
		}
		
	    if(eregi("^[[:alnum:]][a-z0-9_.-]*@[a-z0-9.-]+\.[a-z]{2,6}$", $email))
		{
		     $valid = TRUE;
			 
			 if($option == 2){
				$valid = 'valid';
			 }
		}
	 
	 
	return $valid;
	}
	
	
	
	function string_no_numbers($str){
	
		$valid 		= TRUE;
		
			if(eregi("[0-9]", $str)) {
					$valid = FALSE;
			}
		
	return $valid;
	}
	
	
	
	function check_mail_form($email_address, $subject, $message,$more_headers)
	{
		// error checking 
		$feedback 	= array();
		$error 		= 0;
		$eMessage	= NULL;

		$this->clean_data($_POST);

		if($_POST[message] == ''){
			$error++;
			$eMessage .= "The message field is empty.<br/>";
		}

		if($_POST[name] == ''){
			$error++;
			$eMessage .= "The name field is empty.<br/>";
		}
		if($_POST[email] == ''){
			$error++;
			$eMessage .= "The email field is empty.<br/>";
		}
		$em_check = $this->validate_email($_POST[email],2);

		if($em_check == 'invalid'){
			$error++;
			$eMessage .= "The format of your email address is incorrect.<br/>";
		}	
		
		if($error == 0){
			mail("$email_address", "$subject", "$message","$more_headers");
			$url = 'index.php' . $_SESSION[url_dpage] . 'cmd=details&em_sent=1';
			header("Location: $url");
			exit(NULL);
		}
		else {
		$feedback[error] 	= $error;
		$feedback[eMessage] = $eMessage;
		return $feedback;
		}	
	}
	
	
	
	
// Internet Messengers 

	function show_im($uid)
	{
		global $CONFIG; 
		$feedback = array();
		
		$qStr 	= "SELECT skype,msn,yahoo FROM $CONFIG[db_user_table] WHERE uid = $uid LIMIT 1";
		$res 	= mysql_query($qStr);
		$row 	= mysql_fetch_assoc($res);
	
		$lenSkype 	= strlen($row[skype]); 
		$lenMsn 	= strlen($row[msn]);
		$lenYahoo 	= strlen($row[yahoo]);
		
		// are there IM available? 
		if(($lenSkype >0) || ($lenMsn > 0) || ($lenYahoo > 0)){
			$feedback[exist] = 1;
			
				// which? 	
				$feedback[skype] = $row[skype];
				$feedback[msn] 	= $row[msn];
				$feedback[yahoo] = $row[yahoo];	
		}
		else{
			$feedback[exist] = 0;
		}
		
	return $feedback; 
	}
	
	
	
// Paypal - IPN 
function ipn_response(){
				


	// read the post from PayPal system and add 'cmd'
	$req = 'cmd=_notify-validate';

	foreach ($_POST as $key => $value) {
	$value = urlencode(stripslashes($value));
	$req .= "&$key=$value";
	}
	

	// post back to PayPal system to validate	
	$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
	$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
	$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";
	$fp = fsockopen ('ssl://www.paypal.com', 443, $errno, $errstr, 30);

	
	// assign posted variables to local variables
	$item_name 			= $_POST['item_name'];
	$item_number 		= $_POST['item_number'];
	$payment_status 	= $_POST['payment_status'];
	$payment_amount 	= $_POST['mc_gross'];
	$payment_currency 	= $_POST['mc_currency'];
	$txn_id 			= $_POST['txn_id'];
	$receiver_email 	= $_POST['receiver_email'];
	$payer_email 		= $_POST['payer_email'];
	
	$parts 				= explode("#",$_POST['custom']);
	$uid				= $parts[0];
	$sec_token 			= $parts[1];
	
	if (!$fp) {
	// HTTP ERROR
	} else {
	fputs ($fp, $header . $req);
	while (!feof($fp)) {
	$res = fgets ($fp, 1024);
	if (strcmp ($res, "VERIFIED") == 0) {
	
				// 1. track IPN activity in db
				#$table = is_dbtable_there('ipn');
				$table = 'nwscl_ipn';
				$column_array	= array();
				$value_array	= array();           
					
				$column_array[0]	= 'ipn_id';			$value_array[0]	= '';
				$column_array[1]	= 'txn_id';			$value_array[1]	= "$txn_id";
				$column_array[2]	= 'security_token'; $value_array[2]	= "$sec_token";
				$column_array[3]	= 'who';			$value_array[3]	= "$uid";
				$column_array[4]	= 'status';			$value_array[4]	= "$payment_status";
				$column_array[5]	= 'tstamp';			$value_array[5]	= date("Y-m-d") .'#'. date("H:i:s")."#". time();				
			
				db::insert($table, $column_array, $value_array);					
				
								
				// 2. raise the points in user table 
				
					$table_name 		= 'nwscl_users';
					$qStr 				= "UPDATE $table_name SET points = points + $item_number WHERE uid = $uid";
					mysql_query($qStr);
	
		
							
				// 2. IF order payment status pending update db + sent notification email to merchant
				#$order_level = what_order_level(2,$txn_id,$custom);	
				/*
				
				if($order_level == '8'){

					// DB 
					$table 					= is_dbtable_there('orders');
					$column_value_array 	= array();
					$where_conditions 		= array();

					$column_value_array[level] 			= '4';														
					$where_conditions[0]				= "txn_id = '$txn_id'";				
					
					db_update($table, $column_value_array, $where_conditions);					
							

					// Email to shop owner 
					$to 					= $receiver_email;
					$subject 				= 'A pending PayPal payment has been completed';
					
					$message_head			 = "----------------------------------------------------------------------------------------\n";
					$message_head			.= get_option('wps_shop_name') . "\n";
					$message_head			.= "----------------------------------------------------------------------------------------";
					$message_head			.= "\n\n\n\n\n";
					
					$message				= "Hello,\n";  
					$message				.= "the PayPal system sent a signal for the completion of a pending payment. The details: \n\n\n"; 
					$message 				.= "Item Name: $item_name\nPayment Status: $payment_status\nPayment Amount: $payment_amount\n";
					$message 				.= "Payment Currency: $payment_currency\nTxn ID: $txn_id\nReceiver Email: $receiver_email\n";
					$message				.= "Payer Email: $payer_email\n";
					$message				.= "\n\n\n";				
					$message 				.= "In order to manage this order, login to Wordpress Admin Area and then go here: ";				
					$message 				.= get_option('siteurl')."/wp-content/themes/wpShop/shop-backend.php";			
					
					$message_shop_owner		= $message_head . $message;
					
					$admin_email_address	= get_option('wps_paypal_email');
					$domain					= get_option('home');
					$domain 				= substr($domain, 7); 
					
					send_mail($to,$subject,$message_shop_owner,$admin_email_address,$domain);		
				}
				*/
				
	}
	else if (strcmp ($res, "INVALID") == 0) {
	// log for manual investigation
	}
	}
	fclose ($fp);
	}

}



function ipn_sec_token(){		
	$qStr 	= "SELECT * FROM nwscl_ipn WHERE who = '$_SESSION[uid]' AND security_token  = '$_SESSION[sec_token]' AND status = 'Completed'";
	$res	= mysql_query($qStr);
	$num 	= mysql_num_rows($res);
return $num;
}
	
	
// Categories 

	function get_main_nav()
	{
		$qStr 	= "SELECT mid, title FROM nwscl_mcat WHERE status = '1'"; 
		$res	= mysql_query($qStr);
	
	return $res; 
	}
	
	
	
	function get_cat_data()
	{
		$cdata = array();
		
		$mid = $_GET[mid];
		
		if(empty($_GET[mid])){
		
			//change.006
			$_GET[mid]	= 0;
			$mid 		= 0;
			//\change.006
		}
	
		$qStr 	= "SELECT * FROM nwscl_mcat WHERE mid = $mid AND status = '1' LIMIT 1"; 
		$res	= mysql_query($qStr);	
		$row 	= mysql_fetch_assoc($res);
		
		$cdata[list_db]		= $row[listings_db];
		$cdata[cat_db]		= $row[cat_db];
		$cdata[image_url]	= $row[image_url];
		$cdata[image_path]	= $row[image_path];
		
	return $cdata; 
	}
	
	

	function left_cat_column(){
	
		global $LANG;
	
		$CAT_DATA 			= $this->get_cat_data();   //gives us data according to $_GET[mid]
		$db_name 			= $CAT_DATA[cat_db];
		$id_column 			= 'cat_ID';
		if(!isset($_GET[mid])){
			$Main_Cat_ID = 0;
		}
		else {
			$Main_Cat_ID		= $_GET['mid'];
		}


		$order_col_cat1 	= 'name';
		$order_col_cat2		= 'cat_level';
		$param1				= '2';

		$the_categories .= '';
		
		
		
		
		$categories 		= db::select($db_name, $param1, $order_col_cat1, $order_col_cat2);
		$cat_num 			= mysql_num_rows($categories);



		for ($i = 0; $i < $cat_num; $i++ ){

					$Cat_ID 	= mysql_result($categories,$i,$id_column);
					$name 		= mysql_result($categories,$i,"name");


					// how many items in each cat 
					$db_items	= $db_listings[$db_name];
					$qStr		= "SELECT cat FROM $CAT_DATA[list_db] WHERE cat = $Cat_ID AND level = '3'";				
					$res		= mysql_query($qStr);
					$num		= mysql_num_rows($res);
					
					if($num > 0){
						$num_items = '(' . $num . ')';
					}
					else{
						$num_items = NULL;
					}
					
					//Category.php
					$pure_categories .= "
					<li class='cat{$css_class_ext}'>
					<a class='cat' href='index.php?cmd=category&amp;mid=$Main_Cat_ID&amp;cid=$Cat_ID&amp;name=$name'>$name $num_items</a>
					</li>
					";
		}
		
		$header_categories = '<div class="left_col">
						<span class="header1">'.$LANG['LG_Categories:'].'</span>
						</div>
							<div class="cat_bg">
							<ul class="cat">
							';

		$the_categories = "$header_categories" . "$pure_categories" . '</ul></div>';

	return $the_categories;
	}
	
	
	
	function get_cat_items($site_area){
	
		global $LANG,$thumb_width,$site_currency;
	
		$param1				= $_GET['cid'];
		$param2				= $site_area;
		$mid				= $_GET['mid'];
		$order_col_art 		= 'time';

		$CAT_DATA 			= $this->get_cat_data(); 
		$db_name 			= $CAT_DATA[list_db];
		$id_column 			= 'cat_ID';
		$IMAGE_PATH			= 'images/' . $CAT_DATA[image_path];
		$Main_Cat_ID		= $_GET['mid'];


		$items 			= NULL;
		$items_db 		= db::select_cat($db_name, $param1, $param2, $order_col_art);
		$article_num 	= mysql_num_rows($items_db);

		if ($article_num < 1){

		$items_cat = "
		<span class='cat_message'>".$LANG['LG_this category we have no items']."<br/>
		<a href='index.php?cmd=post_it&mid={$_GET[mid]}'>".$LANG['LG_Would you like to post']."</a></span>
		";

		}
		else {

			for ($i = 0; $i < $article_num; $i++ ){

				$item_ID  		= mysql_result($items_db,$i,"item_ID");
				$title    		= mysql_result($items_db,$i,"title");
				$picture_1  	= mysql_result($items_db,$i,"picture_1");
				$picture_2  	= mysql_result($items_db,$i,"picture_2");
				$picture_3  	= mysql_result($items_db,$i,"picture_3");
				$price  		= mysql_result($items_db,$i,"price");


				$size 			= getimagesize("{$IMAGE_PATH}{$picture_1}");
				$img_width 		= $size[0];
				$img_height 	= $size[1];
				
				$img_ratio		= $img_width/$thumb_width;	   
				$thumb_height 	= $img_height/$img_ratio;


					  $items_cat .= "

					   <table class = 'cat_item'>
						 <tr>
						 <td>
					   <a  href='index.php?cmd=details&mid={$Main_Cat_ID}&aid={$item_ID}'>
					  <img  src='{$IMAGE_PATH}{$picture_1}' width='$thumb_width'
					   height='$thumb_height' border='0'  alt='$title' />
					   </a>

						 </td>
						 <td valign='top'>

							 <a class='navi' href='index.php?cmd=details&mid={$Main_Cat_ID}&aid={$item_ID}'>
							 $title
							 </a>
							 <br/><br/>
							<a class='see_details' href='index.php?cmd=details&mid={$Main_Cat_ID}&aid={$item_ID}'>
							  See details
							  </a>

						 </td>
					<td>
					   $site_currency {$price}
					   </td>
						 </tr>
						 </table>
						 <br/>
						";
			}
		} // end ELSE
		
	return  $items_cat;
	}
	
	
// Start page
	
	
	function startPage($IMAGE_URL,$IMAGE_PATH,$site_area){
	
			$CAT_DATA 			= $this->get_cat_data();
			$db_name 			= $CAT_DATA[list_db];
            $IMAGE_URL			= "$IMAGE_URL" . $CAT_DATA[image_url];
            $IMAGE_PATH			= "$IMAGE_PATH". $CAT_DATA[image_path];
			$Main_Cat_ID		= $_GET[mid];
			

			$param1			= '3';  		// level?
			$param2			= $site_area;  // area?
			$order_col_art 	= 'time';


			$items 			= '<table class = "startPage_table"><tr>';
			$items_db 		= db::select_startpage($db_name, $param1, $param2, $order_col_art);
			$article_num 	= mysql_num_rows($items_db);
			 

			$width_table_main 	= 670;
			$columns 			= 3;
			$rows 				= $article_num / $columns;
			$thumb_start_width	= $width_table_main / $columns;
			$thumb_start_width	= round ($thumb_start_width,0);
			$col_width 			= $thumb_start_width;



			for ($i = 1, $a = 0; $a < $article_num; $i++,  $a++ ){

					$item_ID 	= mysql_result($items_db,$a,"item_ID");
					$title 		= mysql_result($items_db,$a,"title");
					$picture_1	= mysql_result($items_db,$a,"picture_1");
					$picture_2 	= mysql_result($items_db,$a,"picture_2");
					$picture_3 	= mysql_result($items_db,$a,"picture_3");

					$size 		= getimagesize("{$IMAGE_PATH}{$picture_1}");
					$img_width 	= $size[0];
					$img_height	= $size[1];

						   if ($img_width > $thumb_start_width){

								$img_ratio     = $img_width/$thumb_start_width;
								$thumb_height  = $img_height/$img_ratio;
								$thumb_height  = round ($thumb_height,0);
								$thumb_width	= $thumb_start_width;

						   }
						   else{
								$thumb_width 	= $img_width;
								$thumb_height  = $img_height;

						   }


						$items .= "
						<td class = 'items_start' width='$col_width' valign='top'>
						<div align='center'>
						<a style='text-decoration: none;' class='navi'
						href='index.php?cmd=details&mid=$Main_Cat_ID&aid=$item_ID'>
							$title
							<br/>
							<img src='{$IMAGE_URL}{$picture_1}' width='$thumb_width'
							   height='$thumb_height' border='0' alt='$title' />
							</a>
							</div>
							</td>
						";


						$modulus = $i % $columns;
						if (($modulus == 0) && ($i != 0)){
						  $items .= '</tr><tr>';
						  }		  
			}
			$items 	.= '</tr></table>';	
	
	return $items;
	}

	
//Item Details

function display_item_details($IMAGE_URL,$site_area){

		global $max_img_width,$designs_img_path,$site_currency,$LANG;

		$CAT_DATA 			= $this->get_cat_data();
	
		if(isset($_GET['aid']))
		{

		$param1		 		= $_GET['aid'];
		$db_name 			= $CAT_DATA[list_db];
		$IMAGE_URL			= "$IMAGE_URL" . $CAT_DATA[image_url];
		$IMAGE_PATH			= 'images/' . $CAT_DATA[image_path];
		$Main_Cat_ID		= $_GET['mid'];

					  
		$the_details 		= NULL;
		
		$details 			= db::select_details($db_name,$param1,$site_area);

			$cat 			= mysql_result($details,0,"cat");
			$title 			= mysql_result($details,0,"title");
			$description 	= mysql_result($details,0,"description");

			$picture_1		= mysql_result($details,0,"picture_1");
			$picture_2		= mysql_result($details,0,"picture_2");
			$picture_3		= mysql_result($details,0,"picture_3");

			$price			= mysql_result($details,0,"price");
			$time 			= mysql_result($details,0,"time");
			
			$fname			= mysql_result($details,0,"fname");
			$lname 			= mysql_result($details,0,"lname");
			$town			= mysql_result($details,0,"town");
			$google_maps	= mysql_result($details,0,"google_maps");
			$uid			= mysql_result($details,0,"uid");
		
			$the_title 		= $title;


			$the_details 	= "<b>".$LANG['LG_DETAILS:'].' '.$the_title."</b>";
			
			
			if ($_GET['mid'] == '2') {

					$size          = mysql_result($details,0,"size");
					$year_built    = mysql_result($details,0,"year_built");
					$rooms         = mysql_result($details,0,"rooms");
					$parking       = mysql_result($details,0,"parking");

			}

			if ($_GET['mid'] == '1') {

				  $extras        = mysql_result($details,0,"extras");
				  $mileage       = mysql_result($details,0,"mileage");
				  $year_car_built= mysql_result($details,0,"year_car_built");

				  $ps            = mysql_result($details,0,"ps");
				  $fuel          = mysql_result($details,0,"fuel");

			  }

			  
			  
			$size 			= getimagesize("{$IMAGE_PATH}{$picture_1}");
			$img_width 		= $size[0];
			$img_height 	= $size[1];
				
			if($img_width > $max_img_width){
				$img_ratio		= $img_width/$max_img_width;	   
				$img_height 	= round($img_height/$img_ratio);
				$img_width		= $max_img_width;	
			}
			  

				  $the_details .= "

				  <table class = 'details'>
				  <tr>
				  <td valign='top'>
				  <fieldset>
					<img src='{$IMAGE_PATH}{$picture_1}' width='$img_width ' height='$img_height' alt='$title' border='0' />
				  ";

				  if ($picture_2 != 'none'){

				  $the_details .= "
				  <br/>
					   <img src='{$IMAGE_PATH}{$picture_2}' alt='$title' border='0' />
				  ";
				  }

				  if ($picture_3 != 'none'){

				  $the_details .= "
				  <br/>
					   <img src='{$IMAGE_PATH}{$picture_3}' alt='$title' border='0' />
				  ";
				  }

				 $the_details .= "

				  </fieldset>
				  </td>
				  </tr><tr>
				  ";



				  if ($_GET['mid'] == '2') {
		// Real estate
					$the_details .= "
					<td valign='top'>
					  <fieldset>
					  <legend>$title:</legend>
					  <br/>
					  Description: <br/>
					  $description  <br/><br/>

					   Size: $size m2 <br/><br/>

					   Year built: $year_built  <br/><br/>

					   No. of Rooms:  $rooms  <br/><br/>

					   Parking: $parking  <br/><br/><br/>

					  Asking price: $site_currency{$price}
					  </fieldset>
				  ";

				  }
				elseif ($_GET['mid'] == '1') {
		// Automobiles 
					$the_details .= "
					<td valign='top'>
					  <fieldset>
					  <legend>{$title}:</legend>
					  <br/>
					  Description: <br/>
					  $description  <br/><br/>

					   Extras: {$extras}  <br/><br/>


					   Mileage: {$mileage}  <br/><br/>

					   PS: {$ps}  <br/><br/>

					Fuel: {$fuel}  <br/><br/>


					Year built: {$year_car_built}  <br/><br/>



					  Asking price: $site_currency{$price}
					  </fieldset>
				  ";



		}
		else {
		// Items

				  $the_details .= "
					<td valign='top'>
					  <fieldset>
					  <legend>{$title}:</legend>
					  <br/>
					  Description: <br/>
					  $description  <br/><br/>
					  Asking price: $site_currency{$price}
					  </fieldset>
				  ";

				  }


				  $the_details .= "
				  <br/>
				  <fieldset>
				  <legend>Contact:</legend>
				  <br/>
					Name: $fname $lname <br/>
					Town: $town
				  <br/>					  
				  <br/>
				  ";
				  
				  if($google_maps == '1'){
						if(strlen(GOOGLE_MAPS_API_KEY) < 1){
							$the_details .= "<span style='color: red;'>".$LANG['LG_Your Google Maps API Key is missing']."</span>";
						}
				  		else {
							$the_details .= "
							  <!-- Google Maps -->
							  <img src='{$designs_img_path}loader.jpg' onload='initialize()' onunload='GUnload()' /><br/>
							  <span style='color: navy; font-size:0.8em;'>See listers town on map:</span>
								<form action='#' onsubmit='showAddress(this.address.value); return false'>
								  <p>
									<input type='text' size='60' name='address' value='{$town}' />
									<input type='submit' value='Go!' />
								  </p>
								  <div id='map_canvas' style='width: 500px; height: 300px'></div>
								</form>
							  <br/>
							  <br/>
							  ";
						}
				  }

				$the_details .= "
				 <table>
				 <tr>
				 <td>
				 <form action='index.php?cmd=contact_by_email' method='post'>
				 <input type='hidden' name='mid' value='$_GET[mid]' />
				 <input type='hidden' name='row_id' value='$param1' />
				 <input type='hidden' name='title' value='$title' />
				 <input type='Submit' name='contact_email' value='Contact via email'>
				 </form>
				 </td>
				  <td>&nbsp;&nbsp;</td>
				 ";
				 
				$_SESSION[row_id] 		= $param1;
				unset($_SESSION[url_dpage]);
				$_SESSION[url_dpage] 	= '?mid='.$_GET[mid].'&aid='.$_GET[aid];


				// IM 
				$IM = $this->show_im($uid);
				if($IM[exist] == 1){
					$the_details .= "
					<td>
					 <form action='index.php?cmd=contact_by_im' method='post'>
					 <input type='hidden' name='uid' value='$uid' />
					 <input type='Submit' name='contact_IM' value='Contact via Internet Messenger'>
					 </form>
					</td>
					";
				}


		$the_details .= "
				 </tr>
				 </table>
				  </fieldset>
				  </td>
				  </tr>
				  </table>
				  ";


		}     // end of isset
		
return $the_details;
}
	
	
	
// advertisment banners 

function checkAds(){

		$table_name = DB_PREFIX . 'ads';

		// is the advertiser's campaign still in valid date range? - if not: level = 0 or 2 or 3
		$qStr 	= "SELECT ad_space,valid_from,valid_to FROM $table_name";
		$res 	= mysql_query($qStr);
		$num 	= mysql_num_rows($res);


		#time right now?
		$tnow 	= time();

		$months	 		= array();
		$months['Jan'] 	= 1;
		$months['Feb'] 	= 2;
		$months['Mar'] 	= 3;
		$months['Apr'] 	= 4;
		$months['May'] 	= 5;
		$months['Jun'] 	= 6;
		$months['Jul'] 	= 7;
		$months['Aug'] 	= 8;
		$months['Sep'] 	= 9;
		$months['Oct'] 	= 10;
		$months['Nov'] 	= 11;
		$months['Dec'] 	= 12;
			

		while($row = mysql_fetch_assoc($res)){

			// make from and to dates to time stamps 
			$fromParts = explode(" ",$row['valid_from']);
			if($fromParts[0][0] == '0'){
				$day = substr($fromParts[0],1);
			}
			else {
				$day = $fromParts[0];
			}
			$month 	= $months["$fromParts[1]"];
			$vfrom	= mktime(0,0,0,$month,$day,$fromParts[2]);

			
			$toParts = explode(" ",$row['valid_to']);
			if($toParts[0][0] == '0'){
				$day = substr($toParts[0],1);
			}
			else {
				$day = $toParts[0];
			}
			$month 	= $months["$toParts[1]"];
			$vto	= mktime(0,0,0,$month,$day,$toParts[2]);
			
			
			//compare with now time stamp	
			if($vfrom > $tnow){
				$FROM 	= 'BEFORE';
			}
			if($vfrom < $tnow){
				$FROM 	= 'OK';
			}
			if($vto < $tnow){
				$TO 	= 'OVER';
			}
			if($vto > $tnow){
				$TO 	= 'BEFORE';
			}
			
			//translate into levels 
			if(($FROM == 'OK') && ($TO == 'BEFORE')){
				$level = '1';
			}
			if(($FROM == 'BEFORE') && ($TO == 'BEFORE')){
				$level = '2';
			}	
			if(($FROM == 'OK') && ($TO == 'OVER')){
				$level = '0';
			}
			
			// update DB
			$column_value_array	= array();
			$where_conditions	= array();
						
			$column_value_array['level'] 	= $level;
			$where_conditions[0]			= "ad_space = $row[ad_space]";
				
			db::update_multi_col($table_name,$column_value_array,$where_conditions);	
		}
}


	
	
} // class end
?>